<?php

use Netzmacher\Org\Backend\Extensionmanager;
use Netzmacher\Org\Utility\Typo3VersionUtility;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$llStatic = Extensionmanager::getProperty( 'backendLanguage' );
switch( $llStatic )
{
	case('German'):
		$llStatic = 'de';
		break;
	case('default'):
	default:
		$llStatic = 'en';
		break;
}

switch( TRUE )
{
	case ( Typo3VersionUtility::Get() < 7006000 ):
		require_once( \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( 'org' ) . 'Configuration/ExtTables/TSconfig/Page/TxLinkhandler/6x/' . $llStatic . '.php' );
		break;
	case ( Typo3VersionUtility::Get() < 8007000 ):
		require_once( \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( 'org' ) . 'Configuration/ExtTables/TSconfig/Page/TxLinkhandler/7x/default.php' );
		break;
	case ( Typo3VersionUtility::Get() >= 8007000 ):
	default:
		require_once( \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( 'org' ) . 'Configuration/ExtTables/TSconfig/Page/Linkhandler/8.7/default.php' );
		break;
}