<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_calcal.xml:tx_org_calcal',
				'label' => 'title',
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => false,
				'thumbnail' => 'icons',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_cal.svg',
				'searchFields' => ''
				. 'title,%%%title_lang_ol,%%%'
				. 'tx_org_cal,'
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Icon()
				. 'hidden'
		),
		'columns' => array(
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'title_lang_ol' => \Netzmacher\Org\TCA\Columns::Translation(),
				'tx_org_cal' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_cal', 'tx_org_calcal', 'tx_org_cal.datetime DESC', 'tx_org_cal' ),
//				'uid_parent' => \Netzmacher\Org\TCA\Columns::UidParent( 'tx_org_calcal' ),
		),
		'palettes' => array(
				'title' => array(
						'showitem' => ''
						. 'title,%%%title_lang_ol,%%%'
						,
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
				'0' => array( 'showitem' => '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_calcal.xml:tx_org_calcal.div_subject,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.title;title,'
						. \Netzmacher\Org\TCA\Types::Icon()
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.calendar,'
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_calcal.xml:tx_org_calcal.div_control,'
						. '  hidden'
						. '' ),
		),
);

$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::Icon( $TCA[ 'columns' ] );

// Enable or disable the localisation
$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;
