<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_calentrance.xml:tx_org_calentrance',
				'label' => 'title',
				'label_alt' => 'value,tx_org_tax',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => false,
				//'thumbnail' => 'image',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_cal.svg',
				'searchFields' => ''
				. 'title,%%%title_lang_ol,%%%'
				. 'tx_org_cal,'
				. 'hidden'
		),
		'columns' => array(
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'title_lang_ol' => \Netzmacher\Org\TCA\Columns::Translation(),
				'value' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_calentrance.xml:tx_org_calentrance.value',
						'config' => array(
								'type' => 'input',
								'size' => '7',
								'max' => '7',
								'eval' => 'required,double2',
						),
				),
				'tx_org_tax' => array(
						'exclude' => 1,
						'behaviour' => array(
								'allowLanguageSynchronization' => true,
						),
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_calentrance.xml:tx_org_calentrance.tx_org_tax',
						'config' => array(
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectSingle',
								'size' => 3,
								'maxitems' => 1,
								'eval' => 'required',
								'foreign_table' => 'tx_org_tax'
						),
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'starttime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'starttime' ],
				'endtime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'endtime' ],
				'fe_cruser_id' => \Netzmacher\Org\TCA\Columns::FeCrUserId(),
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'hidden,'
						. 'starttime,endtime,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'title' => array(
						'showitem' => ''
						. 'title,%%%title_lang_ol,%%%'
						,
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
				'0' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_calentrance.xml:tx_org_calentrance.div_calentrance,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.title;title,'
						. '  value,tx_org_tax,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_calentrance.xml:tx_org_calentrance.div_control,     '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
		),
);

// Enable or disable the localisation
$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;

