<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_newsgroup.xml:tx_org_newsgroup',
				'label' => 'title',
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
				),
				'hideAtCopy' => false,
				'dividers2tabs' => true,
				'thumbnail' => 'image',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_news.svg',
				'searchFields' => ''
				. 'title,%%%title_lang_ol,%%%uid_parent,'
				. 'tx_org_news,'
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Image()
		,
		),
		'columns' => array(
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'title_lang_ol' => \Netzmacher\Org\TCA\Columns::Translation(),
				'tx_org_news' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_news', 'tx_org_newsgroup', 'tx_org_news.datetime DESC', 'tx_org_newsgroup' ),
				'uid_parent' => \Netzmacher\Org\TCA\Columns::UidParent( 'tx_org_newsgroup' ),
		),
		'palettes' => array(
				'title' => array(
						'showitem' => ''
						. 'title,%%%title_lang_ol,%%%'
						,
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
				'0' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_newsgroup.xml:tx_org_newsgroup.div_cat, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.title;title,'
						. '  uid_parent,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.news,'
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_newsgroup.xml:tx_org_newsgroup.div_control, hidden,'
						. \Netzmacher\Org\TCA\Types::Image( 'small' )
				),
		),
);

$image_1stforlistonly = false;
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::ImageColumns( $TCA[ 'columns' ], $image_1stforlistonly );
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Image( $TCA[ 'palettes' ] );

// Enable or disable the localisation
$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;
