<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_seminar_riskcycle.xml:tx_org_seminar_riskcycle',
				'label' => 'title',
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => false,
				'thumbnail' => 'icons',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_seminar.svg',
				'searchFields' => ''
				. 'title,%%%title_lang_ol,%%%'
				. 'tx_org_seminar,'
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Icon()
				. 'hidden'
		),
		'columns' => array(
				'title' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:label.title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim,required'
						),
				),
				'title_lang_ol' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:label.translation',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'tx_org_seminar' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_seminar', 'tx_org_seminar_riskcycle', NULL, 'tx_org_seminar' ),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
		),
		'palettes' => array(
				'title' => array(
						'showitem' => ''
						. 'title,%%%title_lang_ol,%%%'
						,
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
				'0' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org_seminar_riskcycle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.title;title,'
						. \Netzmacher\Org\TCA\Types::Icon()
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminars,'
						. '  tx_org_seminar,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.control,'
						. '  hidden'
				),
		),
);

$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::Icon( $TCA[ 'columns' ]);

// Enable or disable the localisation
$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;
