plugin.tx_org {
    // empty statement for proper comments only
  templates {
  }
    // uploads
  templates =
  templates {
    uploads >
      // empty statement for proper comments only
    uploads {
    }
      // TYPO3 8.7: draft, tx_org_cal, tx_org_event, tx_org_headquarters,tx_org_job, tx_org_location,tx_org_news, tx_org_service
    uploads = 
    uploads {
				// references, renderObj, stdWrap
			draft = FILES
			draft {
				# get from file references:
				references {
					table = tx_org_news
					uid.field = tx_org_news.uid
					fieldName = documents
				}

				//collections.field = file_collections

				# get from path (backwards compatibility, contains strings like "fileadmin/user_uploads/")
				//folders.field = select_key

				//sorting.field = filelink_sorting

				# render the files
				renderObj = COA
				renderObj {
					10 = IMAGE
					10 {
						file.import.data = file:current:originalUid // file:current:uid
						file.width = 150
						stdWrap {
							if.value = 1
							if.isGreaterThan.field = tx_org_news.documentslayout
							typolink {
								parameter.data = file:current:originalUid // file:current:uid
								parameter.wrap = file:|
								fileTarget < lib.parseTarget
								fileTarget =
								fileTarget.override = {$styles.content.uploads.target}
								fileTarget.override.override.field = target
								removePrependedNumbers = 1

								title {
									data = file:current:title
									htmlSpecialChars = 1
								}
							}
						}
					}
					# icon
					15 = COA
					15 {
						// dwildt, +
						if =
						if {
							isTrue =
							isTrue {
								cObject = IMAGE
								cObject {
									file.import = typo3/sysext/frontend/Resources/Public/Icons/FileIcons/
									file.import.data = file:current:extension
									file.import.case = lower
									file.import.wrap = |.gif
								}
							}
						}
						20 = IMAGE
						20 {
							file.import = typo3/sysext/frontend/Resources/Public/Icons/FileIcons/
							file.import.data = file:current:extension
							file.import.case = lower
							file.import.wrap = |.gif
							stdWrap {
								if {
									//value = 0
									//isGreaterThan.field = tx_org_news.documentslayout
									value = 1
									equals.field = tx_org_news.documentslayout

									# only show the icon if we don't have a thumbnail:
									isFalse.cObject = IMG_RESOURCE
#									isFalse.cObject.file < tt_content.uploads.20.renderObj.10.file
#									isFalse.cObject.stdWrap.if < tt_content.uploads.20.renderObj.10.stdWrap.if
								}

							}
							layoutKey = simple
							layout {
								simple {
									element = <img src="###SRC###" ###SELFCLOSINGTAGSLASH###>
									source =
								}
							}
						}
					}

					# filename
					20 = COA
					20 {
						wrap = <div>|</div>
						# filename
						20 = TEXT
						20 {
							data = file:current:title // file:current:name
							htmlSpecialChars = 1
							required = 1

							replacement {
								# equivalent to former useSpacesInLinkText = 0; remove using > to disable it
								10 {
									search = _
									replace.char = 32
								}

								# equivalent to former stripFileExtensionFromLinkText = 0; move "_20" to "20" to enable it. Disabled by default.
								_20 {
									search = /(.*)(\..*)/
									replace = \1
									useRegExp = 1
								}
							}

							typolink {
								parameter.data = file:current:originalUid // file:current:uid
								parameter.wrap = file:|
								fileTarget < lib.parseTarget
								fileTarget =
								fileTarget.override = {$styles.content.uploads.target}
								fileTarget.override.override.field = target
								removePrependedNumbers = 1

								title {
									data = file:current:title
									htmlSpecialChars = 1
								}
							}

							wrap = <span class="ce-uploads-fileName">|</span>
						}

						# description
						30 = TEXT
						30 {
							data = file:current:description
							htmlSpecialChars = 1
							wrap = <span class="ce-uploads-description">|</span>

							required = 1
						}

						# file size
						40 = COA
						40 {
							10 = TEXT
							10 {
								data = file:current:size
								bytes = 1
								noTrimWrap = ||B|
							}
							if.isTrue.field = tx_org_news.documentssize
							stdWrap {
								wrap = <span class="ce-uploads-fileSize">|</span>
							}
						}
					}

					# wrap of each listed file with odd/even class
					wrap.cObject = COA
					wrap.cObject {
						10 = LOAD_REGISTER
						10 {
							oddEvenClass = li-odd li-first |*| li-even || li-odd
#							elementClass = csc-uploads-element csc-uploads-element-{file:current:extension}
#							elementClass.insertData = 1
						}

						20 = TEXT
						20 {
//							value = <li class="{register:oddEvenClass} {register:elementClass}">|</li>
							value = <li class="{register:oddEvenClass}">|</li>
							insertData = 1
						}
						30 = RESTORE_REGISTER
					}
				}

				# wrap around whole content element with <ul> and editIcons
				stdWrap {
					dataWrap = <ul class="ce-uploads ce-uploads-{field:tx_org_news.documentslayout}">|</ul>
				}
			}
			tx_org_cal < plugin.tx_org.templates.uploads.draft
			tx_org_cal {
				references {
					table = {$plugin.org.table.tx_org_cal}
					uid.field = {$plugin.org.table.tx_org_cal}.uid
					fieldName = {$plugin.org.table.tx_org_cal.field.documents}
				}
				renderObj {
					10.stdWrap.if.isGreaterThan.field = {$plugin.org.table.tx_org_cal}.{$plugin.org.table.tx_org_cal.field.documentslayout}
					15.20.stdWrap.if.equals.field = {$plugin.org.table.tx_org_cal}.{$plugin.org.table.tx_org_cal.field.documentslayout}
					40.if.isTrue.field = {$plugin.org.table.tx_org_cal}.{$plugin.org.table.tx_org_cal.field.documentssize}
				}
				//stdWrap.dataWrap = <ul class="csc-uploads csc-uploads-{field:{$plugin.org.table.tx_org_cal}.{$plugin.org.table.tx_org_cal.field.documentslayout}}">|</ul>
			}
			tx_org_event < plugin.tx_org.templates.uploads.draft
			tx_org_event {
				references {
					table = {$plugin.org.table.tx_org_event}
					uid.field = {$plugin.org.table.tx_org_event}.uid
					fieldName = {$plugin.org.table.tx_org_event.field.documents}
				}
				renderObj {
					10.stdWrap.if.isGreaterThan.field = {$plugin.org.table.tx_org_event}.{$plugin.org.table.tx_org_event.field.documentslayout}
					15.20.stdWrap.if.equals.field = {$plugin.org.table.tx_org_event}.{$plugin.org.table.tx_org_event.field.documentslayout}
					40.if.isTrue.field = {$plugin.org.table.tx_org_event}.{$plugin.org.table.tx_org_event.field.documentssize}
				}
				//stdWrap.dataWrap = <ul class="csc-uploads csc-uploads-{field:{$plugin.org.table.tx_org_event}.{$plugin.org.table.tx_org_event.field.documentslayout}}">|</ul>
			}
			tx_org_headquarters < plugin.tx_org.templates.uploads.draft
			tx_org_headquarters {
				references {
					table = {$plugin.org.table.tx_org_headquarters}
					uid.field = {$plugin.org.table.tx_org_headquarters}.uid
					fieldName = {$plugin.org.table.tx_org_headquarters.field.documents}
				}
				renderObj {
					10.stdWrap.if.isGreaterThan.field = {$plugin.org.table.tx_org_headquarters}.{$plugin.org.table.tx_org_headquarters.field.documentslayout}
					15.20.stdWrap.if.equals.field = {$plugin.org.table.tx_org_headquarters}.{$plugin.org.table.tx_org_headquarters.field.documentslayout}
					40.if.isTrue.field = {$plugin.org.table.tx_org_headquarters}.{$plugin.org.table.tx_org_headquarters.field.documentssize}
				}
				//stdWrap.dataWrap = <ul class="csc-uploads csc-uploads-{field:{$plugin.org.table.tx_org_headquarters}.{$plugin.org.table.tx_org_headquarters.field.documentslayout}}">|</ul>
			}
			tx_org_job < plugin.tx_org.templates.uploads.draft
			tx_org_job {
				references {
					table = {$plugin.org.table.tx_org_job}
					uid.field = {$plugin.org.table.tx_org_job}.uid
					fieldName = {$plugin.org.table.tx_org_job.field.documents}
				}
				renderObj {
					10.stdWrap.if.isGreaterThan.field = {$plugin.org.table.tx_org_job}.{$plugin.org.table.tx_org_job.field.documentslayout}
					15.20.stdWrap.if.equals.field = {$plugin.org.table.tx_org_job}.{$plugin.org.table.tx_org_job.field.documentslayout}
					40.if.isTrue.field = {$plugin.org.table.tx_org_job}.{$plugin.org.table.tx_org_job.field.documentssize}
				}
				//stdWrap.dataWrap = <ul class="csc-uploads csc-uploads-{field:{$plugin.org.table.tx_org_job}.{$plugin.org.table.tx_org_job.field.documentslayout}}">|</ul>
			}
			tx_org_location < plugin.tx_org.templates.uploads.draft
			tx_org_location {
				references {
					table = {$plugin.org.table.tx_org_location}
					uid.field = {$plugin.org.table.tx_org_location}.uid
					fieldName = {$plugin.org.table.tx_org_location.field.documents}
				}
				renderObj {
					10.stdWrap.if.isGreaterThan.field = {$plugin.org.table.tx_org_location}.{$plugin.org.table.tx_org_location.field.documentslayout}
					15.20.stdWrap.if.equals.field = {$plugin.org.table.tx_org_location}.{$plugin.org.table.tx_org_location.field.documentslayout}
					40.if.isTrue.field = {$plugin.org.table.tx_org_location}.{$plugin.org.table.tx_org_location.field.documentssize}
				}
				//stdWrap.dataWrap = <ul class="csc-uploads csc-uploads-{field:{$plugin.org.table.tx_org_location}.{$plugin.org.table.tx_org_location.field.documentslayout}}">|</ul>
			}
			tx_org_news < plugin.tx_org.templates.uploads.draft
			tx_org_news {
				references {
					table = {$plugin.org.table.tx_org_news}
					uid.field = {$plugin.org.table.tx_org_news}.uid
					fieldName = {$plugin.org.table.tx_org_news.field.documents}
				}
				renderObj {
					10.stdWrap.if.isGreaterThan.field = {$plugin.org.table.tx_org_news}.{$plugin.org.table.tx_org_news.field.documentslayout}
					15.20.stdWrap.if.equals.field = {$plugin.org.table.tx_org_news}.{$plugin.org.table.tx_org_news.field.documentslayout}
					40.if.isTrue.field = {$plugin.org.table.tx_org_news}.{$plugin.org.table.tx_org_news.field.documentssize}
				}
				//stdWrap.dataWrap = <ul class="csc-uploads csc-uploads-{field:{$plugin.org.table.tx_org_news}.{$plugin.org.table.tx_org_news.field.documentslayout}}">|</ul>
			}
#			tx_org_news >
#			tx_org_news < tt_content.uploads
#			tx_org_news.dataProcessing.10.references.fieldName = tx_org_news.documents
			tx_org_service < plugin.tx_org.templates.uploads.draft
			tx_org_service {
				references {
					table = {$plugin.org.table.tx_org_service}
					uid.field = {$plugin.org.table.tx_org_service}.uid
					fieldName = {$plugin.org.table.tx_org_service.field.documents}
				}
				renderObj {
					10.stdWrap.if.isGreaterThan.field = {$plugin.org.table.tx_org_service}.{$plugin.org.table.tx_org_service.field.documentslayout}
					15.20.stdWrap.if.equals.field = {$plugin.org.table.tx_org_service}.{$plugin.org.table.tx_org_service.field.documentslayout}
					40.if.isTrue.field = {$plugin.org.table.tx_org_service}.{$plugin.org.table.tx_org_service.field.documentssize}
				}
				//stdWrap.dataWrap = <ul class="csc-uploads csc-uploads-{field:{$plugin.org.table.tx_org_service}.{$plugin.org.table.tx_org_service.field.documentslayout}}">|</ul>
			}
		}
	}
}		