plugin.tx_seodynamictag {

  canonical {
    enabled = 1
    single {
      additionalParams = &tx_browser_pi1[calendarUid]={GP:tx_browser_pi1|calendarUid}
    }
  }

  condition {
    single {
      begin = globalVar = GP:tx_browser_pi1|calendarUid > 0] && [globalVar = TSFE:id = xxx
    }
  }

  database {
		case {
			title {
				appendix = strftime
			}
		}
    field {
      description = description // seo_description // marginal_short // teaser_short // short // bodytext // title
      keywords = seo_keywords
      keywords {
        cover       = marginal_title // teaser_title // title
      }
      short         = subtitle
      title         = title
      title {
        appendix    = datetime // datetimeend
      }
    }
    gp    = tx_browser_pi1|calendarUid
    table = tx_org_cal
		var {
			1 = tx_browser_pi1[calendarUid]
		}
  }

}