plugin.tx_browser_pi1 {
  views {
    list {
      209 {
        select (
          tx_org_cal.title,
          tx_org_cal.bodytext,
          tx_org_cal.crdate,
          tx_org_cal.datetime,
          tx_org_cal.datetimeend,
          tx_org_cal.deleted,
					tx_org_cal.fe_cruser_id,
          tx_org_cal.location,
          tx_org_cal.locationurl,
          tx_org_cal.marginal_title,
          tx_org_cal.marginal_subtitle,
          tx_org_cal.marginal_short,
          tx_org_cal.page,
          tx_org_cal.subtitle,
          tx_org_cal.teaser_title,
          tx_org_cal.teaser_subtitle,
          tx_org_cal.teaser_short,
          tx_org_cal.type,
          tx_org_cal.url,

          tx_org_location.title,
          tx_org_location.mail_city,
          tx_org_location.mail_lat,
          tx_org_location.mail_lon,
          tx_org_location.mail_postcode,
        )
				where = COA
				where {
					10 = TEXT
					10 {
						value = 1
					}
					30 = TEXT
					30 {
						value = tx_org_cal.datetime
						noTrimWrap = | AND | > UNIX_TIMESTAMP()|
					}
				}
        orderBy (
          tx_org_cal.datetime ASC
        )
        // Workaround: Without it i.e. the filename in tx_org_caltype.title would get a typolink!
        csvLinkToSingleView = dummy
      }
    }
  }
}