plugin.tx_browser_pi1 {
  views {
    list {
      298 {
        select (
          tx_org_cal.title,
          tx_org_cal.bodytext,
          tx_org_cal.datetime,
          tx_org_cal.datetimeend,
          tx_org_cal.length,

          tx_org_cal.tx_org_caltype,

          tx_org_cal.location,
          tx_org_cal.locationurl,

          tx_org_cal.organiser,
          tx_org_cal.organiserurl,					

          tx_org_cal.tx_org_staff,

          tx_org_cal.tx_org_headquarters,
          tx_org_caltype.title,
          tx_org_headquarters.title,
          tx_org_location.title,
          tx_org_location.mail_address,
          tx_org_location.mail_city,
          tx_org_location.mail_postcode,
          tx_org_location.mail_country,
          tx_org_staff.title
        )
        orderBy (
          tx_org_cal.datetime
        )
        // Workaround: Without it i.e. the filename in tx_org_caltype.title would get a typolink!
        csvLinkToSingleView = dummy
				// Don't display this fields
				functions.clean_up.csvTableFields (
          tx_org_cal.tx_org_headquarters,
          tx_org_caltype.title,
					tx_org_headquarters.title, 
					tx_org_location.title, 
          tx_org_location.mail_address,
          tx_org_location.mail_city,
          tx_org_location.mail_postcode,
          tx_org_location.mail_country,
					tx_org_staff.title
				)
      }
    }
  }
}