plugin.tx_browser_pi1 {
  views {
    list {
      299 {
        // [String] Select clause (don't confuse it with the SQL select)
        select (
          tx_org_cal.bodytext,
          tx_org_cal.datetime,
          tx_org_cal.page,
          tx_org_cal.teaser_short,
          tx_org_cal.title,
          tx_org_cal.type,
          tx_org_cal.uid,
          tx_org_cal.url
)
				where = COA
				where {
					10 = TEXT
					10 {
						value = 1
					}
					30 = TEXT
					30 {
						value = tx_org_cal.datetime
						noTrimWrap = | AND | > UNIX_TIMESTAMP()|
					}
				}
        orderBy (
          tx_org_cal.datetime
)
      }
    }
  }
}