plugin.tx_org {
	templates {
		load_register {
				// empty statement for proper comments only
			tx_org_cal {
			}
				// tx_org_location
			tx_org_cal = 
			tx_org_cal {
					// LOAD_REGISTER: tx_org_location__page, tx_org_location__title, tx_org_location__type, tx_org_location__uid, tx_org_location__url
				tx_org_location = COA
				tx_org_location {
						// Reset register! addressForMap, addressForDB, latitude, longitude, tx_org_location__mail_city, tx_org_location__page, tx_org_location__title, tx_org_location__type, tx_org_location__url
					10 = LOAD_REGISTER
					10 {
						addressForMap =
						addressForDB =
						latitude =
						longitude =
						tx_org_location__mail_city =
						tx_org_location__nearest_bigger_city =
						tx_org_location__page =
						tx_org_location__title =
						tx_org_location__type =
						tx_org_location__uid =
						tx_org_location__url =
					}

						// table = tx_org_location, renderObj.10 LOAD_REGISTER: tx_org_location__page, tx_org_location__title, tx_org_location__type, tx_org_location__uid, tx_org_location__url
					20 = CONTENT
					20 {
						table = tx_org_location
						select {
							pidInList = {$plugin.org.sysfolder.location}
							recursive = {$plugin.org.sysfolder.location.recursive}
							//selectFields = tx_org_location.title
							join = tx_org_mm_all ON tx_org_mm_all.uid_foreign = tx_org_location.uid
							where = 
							where {
								stdWrap {
									cObject = COA
									cObject {
										10 = TEXT
										10 {
											value = 1
										}
										20 = TEXT
										20 {
											field = tx_org_cal.uid
											noTrimWrap = | AND tx_org_mm_all.uid_local = | AND tx_org_mm_all.table_local = 'tx_org_cal' AND tx_org_mm_all.table_foreign = 'tx_org_location'|
										}
									}
								}
							}
							max = 1
						}
							// addressForMap, addressForDB, latitude, longitude, tx_org_location__mail_city, tx_org_location__page, tx_org_location__title, tx_org_location__type, tx_org_location__url
						renderObj = LOAD_REGISTER
						renderObj {
							addressForMap {
								cObject = COA
								cObject {
									10 = TEXT
									10 {
										required = 1
										field = mail_street
										wrap	= |,
									}
									20 = TEXT
									20 {
										required = 1
										field = mail_postcode
										noTrimWrap = || |
									}
									30 = TEXT
									30 {
										required = 1
										field = mail_city
										wrap	= |
									}
								}
							}
							addressForDB {
								cObject = COA
								cObject {
									10 = TEXT
									10 {
										required = 1
										field = mail_city
										wrap	= |,
									}
									20 = TEXT
									20 {
										required = 1
										field = mail_street
									}
								}
							}
							latitude {
								cObject = TEXT
								cObject {
									field = mail_lat
								}
							}
							longitude {
								cObject = TEXT
								cObject {
									field = mail_lon
								}
							}
							tx_org_location__mail_city {
								cObject = TEXT
								cObject {
									field = mail_city
								}
							}
							tx_org_location__nearest_bigger_city {
								cObject = TEXT
								cObject {
									field = nearest_bigger_city // mail_city
								}
							}
							tx_org_location__page {
								cObject = TEXT
								cObject {
									field = page
								}
							}
							tx_org_location__title {
								cObject = TEXT
								cObject {
									field = title
								}
							}
							tx_org_location__type {
								cObject = TEXT
								cObject {
									field = type
								}
							}
							tx_org_location__uid {
								cObject = TEXT
								cObject {
									field = uid
								}
							}
							tx_org_location__url {
								cObject = TEXT
								cObject {
									field = url
								}
							}
						}
					}
						// For development only
					XXX20 = COA
					XXX20 {
						10 = TEXT
						10 {
							data = register:tx_org_location__mail_city
							noTrimWrap = |<h1>10: |</h1>| 
						}
						20 = TEXT
						20 {
							data = register:addressForMap
							noTrimWrap = |<p>20: |</p>| 
						}
					}
				}
			}
		}
	}
}