plugin.tx_browser_pi1 {
  views {
    list {
      987 {
        select (
					sys_file_metadata.caption,
					sys_file_metadata.copyright,
					sys_file_metadata.creator,
					sys_file_metadata.description,
					sys_file_metadata.download_name,
					sys_file_metadata.file,
					sys_file_metadata.keywords,
					sys_file_metadata.publisher,
					sys_file_metadata.source,
					sys_file_metadata.status,
					sys_file_metadata.title,
					sys_file_metadata.visible,
          sys_file.name,
          sys_file.identifier,
					sys_file.mime_type,
					sys_category.title,
)
        orderBy (
          sys_file.name
)
				andWhere = COA
				andWhere {
					10 = TEXT
					10 {
						if =
						if {
							isTrue = {$plugin.org.fal.audio.sys_file.storage}
						}
						value = {$plugin.org.fal.audio.sys_file.storage}
						wrap  = sys_file.storage IN (|)
					}
					20 = TEXT
					20 {
						if =
						if {
							isTrue = {$plugin.org.fal.audio.sys_file.mime_type}
						}
						value = {$plugin.org.fal.audio.sys_file.mime_type}
						noTrimWrap = | AND sys_file.mime_type IN (|)|
					}
				}
        csvLinkToSingleView = dummy
      }
    }
  }
}