plugin.tx_browser_pi1 {
  views {
    single {
      501 {
        tx_org_headquarters {
          tx_org_cal {
          }
            // tx_org_headquarters.tx_org_cal: placeholder for tx_org_cal
          tx_org_cal = COA
          tx_org_cal {
							// 10: LOAD_REGISTER.tx_org_cal__max3, 20:LOAD_REGISTER.tx_org_cal__begin3
						10 = COA
						10 {
								// tx_org_cal__max3
							10 = LOAD_REGISTER
							10 {
								tx_org_cal__max3 {
									cObject = CONTENT
									cObject {
										table = tx_org_cal
										select {
											pidInList = {$plugin.org.sysfolder.calendar}
											recursive = {$plugin.org.sysfolder.calendar.recursive}
											join = tx_org_mm_all ON tx_org_mm_all.uid_foreign = tx_org_cal.uid
											where = 
											where {
												stdWrap {
													cObject = COA
													cObject {
														10 = TEXT
														10 {
															value = 1
														}
														20 = TEXT
														20 {
															field = tx_org_headquarters.uid
															noTrimWrap = | AND tx_org_mm_all.uid_local = | AND tx_org_mm_all.table_local = 'tx_org_headquarters' AND tx_org_mm_all.table_foreign = 'tx_org_cal'|
														}
														30 = TEXT
														30 {
															value = tx_org_cal.datetime
															noTrimWrap = | AND | > UNIX_TIMESTAMP()|
														}
													}
												}
											}
											orderBy = tx_org_cal.datetime ASC
											max = 3
										}
											// tx_org_cal.title croped and linked
										renderObj = CASE
										renderObj {
											key {
												field = {$plugin.tx_browser_pi1.templates.listview.url.5.key}
											}
												// link to detail view
											default = COA
											default {
												10 = TEXT
												10 {
													field = datetime // datetimeend
													strftime {
														stdWrap {
															cObject = TEXT
															cObject {
																data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.datetime.list
															}
														}
													}
													noTrimWrap = ||: |
												}
												20 = TEXT
												20 {
													field = marginal_title // teaser_list // title
												}
												30 = TEXT
												30 {
													value = &raquo;
													noTrimWrap = | ||
												}
												wrap = <li class="url circle">|</li>
												stdWrap {
													typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.5.default
												}
											}
												// no link
											notype < .default
											notype {
												stdWrap >
												typolink >
											}
												// link to internal page
											page < .default
											page {
												typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.5.page
											}
												// link to external url
											url < .page
											url {
												typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.5.url
											}
										}
									}
								}
							}
								// tx_org_cal__begin3
							20 = LOAD_REGISTER
							20 {
								tx_org_cal__begin3 < plugin.tx_browser_pi1.views.single.501.tx_org_headquarters.tx_org_cal.10.10.tx_org_cal__max3
								tx_org_cal__begin3 {
									cObject {
										select {
											begin = 3
											max >
										}
										renderObj {
											default {
												wrap = <li class="url circle toggle" style="display:none;">|</li>
											}
											notype {
												wrap = <li class="url circle toggle" style="display:none;">|</li>
											}
											page {
												wrap = <li class="url circle toggle" style="display:none;">|</li>
											}
											url {
												wrap = <li class="url circle toggle" style="display:none;">|</li>
											}
										}
									}
								}
							}
						}
							// 10: header. 20: first 3 records. 30: from the 4th record. 30: wrap more button.
						20 = COA
						20 {
							  // if.isTrue.data = register:tx_org_cal__max3
							if =
							if {
								isTrue {
									data = register:tx_org_cal__max3
								}
							}
								// header
							10 = TEXT
							10 {
								data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org_cal
								wrap = <li class="header">|</li>
							}
								// first 3 records
							20 = TEXT
							20 {
								data = register:tx_org_cal__max3
							}
								// from the 4th record
							30 = COA
							30 {
									// if.isTrue.data = register:tx_org_cal__begin3
								if =
								if {
									isTrue {
										data = register:tx_org_cal__begin3
									}
								}
									// from the 4th record
								20 = TEXT
								20 {
									data = register:tx_org_cal__begin3
								}
									// wrap more button
								30 = TEXT
								30 {
									value = <span class="tx_org_cal_toggle label cursorpointer" style="display:none;">More &raquo;</span>
									wrap  = <li class="url">|</li>
								}
							}
							wrap = <ul class="vcard tx_org_headquarters tx_org_cal">|</ul><!-- vcard -->
						}
          }
        }
      }
    }
  }
}