plugin.tx_seodynamictag {

  canonical {
    enabled = 1
    single {
      additionalParams = &tx_browser_pi1[jobUid]={GP:tx_browser_pi1|jobUid}
    }
  }

  condition {
    single {
      begin = globalVar = GP:tx_browser_pi1|jobUid > 0] && [globalVar = TSFE:id = xxx
    }
  }

  database {
		case {
			title {
				appendix = default
			}
		}
    field {
      description = description // seo_description // marginal_short // teaser_short // short // bodytext // title
      keywords = seo_keywords
      keywords {
        cover       = marginal_title // teaser_title // title
      }
      short         = description
      title         = title
      title {
        appendix    = subtitle // bodytext
      }
    }
    gp    = tx_browser_pi1|jobUid
    table = tx_org_job
		var {
			1 = tx_browser_pi1[jobUid]
		}
  }

}