plugin.tx_browser_pi1 {
  views {
    single {
      401 {
          // 140706: empty statement: for proper comments only
        tx_org_news {
        }
          // title, mail_city
        tx_org_news =
        tx_org_news {
            // title
          title < plugin.tx_browser_pi1.displaySingle.master_templates.tableFields.imageText.0
          title {
						if < plugin.tx_browser_pi1.displaySingle.master_templates.rules.recordtypeIsNotPageNotypeUrl
							// isFalse, if 'page', 'notype', 'url', '1' or '2' equals.field = {$plugin.tx_browser_pi1.templates.listview.url.0.key} // #i0303 / #i0310
						if =
            20 {
              0 {
                10 >
								20 >
								30 >
                  // header, text, cat
                10 = COA
                10 {
                    // header
                  20 = TEXT
                  20 {
                    field = tx_org_news.title
                    wrap = <h1>|</h1>
                  }
                    // subtitle
                  21 = TEXT
                  21 {
                    field = tx_org_news.subtitle // tx_org_news.teaser_subtitle
                    wrap  = <h2>|</h2>
                    required = 1
                  }
                    // socialbookmarks
                  28 = TEXT
                  28 {
                    value = ###SOCIALMEDIA_BOOKMARKS###
                    wrap = <div class="socialbookmarks">|</div>
                  }
                    // staff
                  30 = COA
                  30 {
										if {
											isTrue {
												field = tx_org_staff.title // tx_org_staff.name_first // tx_org_staff.name_last
											}
										}
                    10 = TEXT
                    10 {
                      value = By
                      lang {
                        de = Von
                        en = By
                      }
                      noTrimWrap = || |
                    }
                      // title, if title (name)
                    20 = TEXT
                    20 {
                      if {
                        isTrue {
                          field = tx_org_staff.title
                        }
                      }
                      field = tx_org_staff.title
                    }
                      // name_first name_last, if no title (name)
                    30 = COA
                    30 {
                      if {
                        isFalse {
                          field = tx_org_staff.title
                        }
                      }
                      10 = TEXT
                      10 {
                        field = tx_org_staff.name_first
                        noTrimWrap = || |
                        required = 1
                      }
                      20 = TEXT
                      20 {
                        field = tx_org_staff.name_last
                      }
                    }
										// #i0275, 171027, dwildt, 1-/+
                    //wrap = <p class="###CSSVISLARGEUP### author">|</p>
                    wrap = <p class="author">|</p>
                  }
                    // teaser_short // bodytext
                  31 = COA
                  31 {
	                    // teaser_short
                    10 = TEXT
                    10 {
											if {
												isTrue {
													field = tx_org_news.teaser_short_for_singleview
												}
											}
											field = tx_org_news.teaser_short
                      wrap = <p class="teaser_short">|</p>
                    }
	                    // bodytext
                    20 = COA
                    20 {
											10 = TEXT
											10 {
												if {
													isTrue = {$plugin.org.templates.news.401.date.single}
												}
												field = tx_org_news.datetime
												strftime = %d. %b. %Y
												noTrimWrap = |<p class="date floatleft">| &ndash; </p> |
												required = 1
											}
											20 = TEXT
											20 {
												field = tx_org_news.bodytext // tx_org_news.teaser_short
												stdWrap {
													parseFunc < lib.parseFunc_RTE
												}
											}
										}
                  }
										// Files, if.isTrue.field = {$plugin.org.table.tx_org_news}.{$plugin.org.table.tx_org_news.field.documents}
									40 = COA
									40 {
											// if.isTrue.field = {$plugin.org.table.tx_org_news}.{$plugin.org.table.tx_org_news.field.documents}
										if =
										if {
											isTrue =
											isTrue {
												field = {$plugin.org.table.tx_org_news}.{$plugin.org.table.tx_org_news.field.documents}
											}
										}
										10 = TEXT
										10 {
											data = LLL:EXT:org/Resources/Private/Language/locallang_db.xml:phrase_files
											wrap = {$plugin.org.table.tx_org_news.documentstitlewrap}
										}
										20 < plugin.tx_org.templates.uploads.tx_org_news							
									}
                    // backbutton
                  50 = TEXT
                  50 {
                    value (
                      <!-- ###AREA_FOR_AJAX_LIST_01### end -->
                      <!-- ###BACKBUTTON### begin -->
                      <p class="backbutton">
                        ###MY_SINGLEVIEWBACKBUTTON###
                      </p>
                      <!-- ###BACKBUTTON### end -->
                      <!-- ###AREA_FOR_AJAX_LIST_02### begin -->
)
                  }
                }
              }
              1 {
                10 >
								20 >
								30 >
                10 < plugin.tx_browser_pi1.views.single.401.tx_org_news.title.20.0.10
              }
              2 {
                10 >
								20 >
								30 >
                10 < plugin.tx_browser_pi1.views.single.401.tx_org_news.title.20.0.10
              }
              8 {
                10 >
								20 >
								30 >
                10 < plugin.tx_browser_pi1.views.single.401.tx_org_news.title.20.0.10
              }
              9 {
                10 >
								20 >
								30 >
                10 < plugin.tx_browser_pi1.views.single.401.tx_org_news.title.20.0.10
              }
              10 {
                10 >
								20 >
								30 >
                10 < plugin.tx_browser_pi1.views.single.401.tx_org_news.title.20.0.10
              }
              17 {
                10 >
								20 >
								30 >
                10 < plugin.tx_browser_pi1.views.single.401.tx_org_news.title.20.0.10
              }
              18 {
                10 >
								20 >
								30 >
                10 < plugin.tx_browser_pi1.views.single.401.tx_org_news.title.20.0.10
              }
              25 {
                10 >
								20 >
								30 >
                10 < plugin.tx_browser_pi1.views.single.401.tx_org_news.title.20.0.10
              }
              26 {
                10 >
								20 >
								30 >
                10 < plugin.tx_browser_pi1.views.single.401.tx_org_news.title.20.0.10
              }
            }
          }
        }
      }
    }
  }
}

#i0077
[globalVar = GP:type = {$plugin.pdfcontroller.pages.print.typeNum}]
  plugin.tx_browser_pi1 {
    views {
      single {
        401 {
          tx_org_news {
            title {
              10 {
                key = 26
                key {
                  field >
                }
                26 {
                  10 {
                    value = <td class="image" style="width:20%;">
                  }
                  20 {
                    10 {
                      split {
                        1 {
                          10.20.10.file.height.override >
                          10.20.10.file.width = 100
                          10.20.10.file.width.override >
                          10.20.10.layoutKey = default
                          10.20.10.layout.default.element = <img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" ###PARAMS### ###ALTPARAMS### ###BORDER### ###SELFCLOSINGTAGSLASH###>
                          10.20.10.wrap = <tr><td class="image">|</td></tr>
                          10.20.20.wrap = <tr><td class="caption" style="font-size: 0.7em;">|<br /><br /></td></tr>
                          10.20.wrap = |
                        }
                        2 < .1
                        2 {
                          10 {
                            if >
                          }
                        }
                      }
                    }
                  }
                  20 {
                    wrap = <table>|</table>
                    wrap {
                      stdWrap >
                    }
                  }
                  30 {
                    value = </td>
                  }
                }
              }
              20 {
                key = 26
                key {
                  stdWrap >
                }
                26 {
                  10 {
                      // ./. social bookmarks
                    28 >
                      // ./. author
                    30 >
                    50 >
                      // Backbutton
                    50 = COA
                    50 {
                        // empty line
                      10 = TEXT
                      10 {
                        value = &nbsp;
                        wrap = <p>|</p>
                      }
                        // Link to root page
                      20 = COA
                      20 {
                          // root page
                        10 = TEXT
                        10 {
                          typolink {
                            parameter   = {$plugin.org.pages.root}
                            title {
                              value = Home page
                              lang {
                                de = Startseite
                                en = Home page
                              }
                            }
                          }
                        }
                          // news
                        20 = TEXT
                        20 {
                          if {
                            isTrue = {$plugin.org.pages.news}
                          }
                          typolink {
                            parameter   = {$plugin.org.pages.news}
                            title {
                              value = All news
                              lang {
                                de = Alle Nachrichten
                                en = All news
                              }
                            }
                          }
                          prepend = TEXT
                          prepend {
                            value = |
                            noTrimWrap = | | |
                          }
                        }
                          // newsletter
                        30 = TEXT
                        30 {
                          if {
                            isTrue = {$plugin.org.pages.newsletter}
                          }
                          typolink {
                            parameter   = {$plugin.org.pages.newsletter}
                            title {
                              value = Subscribe newsletter
                              lang {
                                de = Newsletter abonnieren
                                en = Subscribe newsletter
                              }
                            }
                          }
                          prepend = TEXT
                          prepend {
                            value = |
                            noTrimWrap = | | |
                          }
                        }
                        wrap = <p>|</p>
                      }
                    }
                  }
                  wrap = <td class="space" style="width:5%;">&nbsp;</td><td class="content" style="width:75%;">|</td>
                }
              }
              30 {
                key = 26
                key {
                  field >
                }
              }
            }
          }
        }
      }
    }
  }
[global]
