plugin.tx_browser_pi1 {
  navigation {
    showUid = newsUid
  }
	queries {
		33902 {
			name = News for newsletter only
			andWhere = tx_org_news.newsletter = 1
		}
	}
  templates {
    listview {
      header {
        0 {
          crop  = 40|...|1
          field = tx_org_news.teaser_title // tx_org_news.title // teaser_title // title
          title = tx_org_news.title
        }
        1 {
          crop  = 30|...|1
          field = tx_org_news.teaser_subtitle // tx_org_news.subtitle // teaser_subtitle // subtitle 
          title = tx_org_news.title
          tag   = h3
        }
      }
      image {
        0 {
          default				= EXT:org/Resources/Public/Images/Icons/Default/svg/tx_org_news.svg
          // internal #t0774
          field					= image
          file					= tx_org_news.image
					height				= imageheight
          heightDefault = 120c
          #listNum   =
          path					= uploads/tx_org/
          seo						= tx_org_news.imageseo
          // internal #t0774
          table					= tx_org_news
					width 				= imagewidth
          widthDefault	= 120
        }
      }
      subtitle {
        0 {
          crop  = 60|...|1
          field = tx_org_news.teaser_subtitle // tx_org_news.subtitle // teaser_subtitle // subtitle
        }
      }
      text {
        0 {
          crop = 240|...|1
          field = tx_org_news.teaser_short // tx_org_news.bodytext // teaser_short // bodytext
          tag  = p
        }
      }
      url {
        0 {
          key											= tx_org_news.type // type
          page										= tx_org_news.page // page
          record									= tx_org_news.uid // uid
          showUid									= newsUid
          singlePid								=
          url											= tx_org_news.url // url
        }
      }
    }
  }
}