plugin.tx_browser_pi1 {
  views {
    list {
      420 {
        tx_org_news {
            // text, bookmarks; image
          title = COA
          title {
							// row
            10 = COA						
            10 {
								// image
							10 = CASE
							10 {
									// key.field = tx_org_news.type // type
								key = 
								key {
									field = tx_org_news.type // type
								}
									// default/record: link to the single view. begin, layout, layoutKey, maxItems, renderObj, references, sourceCollection
								default = FILES
								default {
										// uid of {$plugin.tx_browser_pi1.templates.singleview.image.0.table}.{$plugin.tx_browser_pi1.templates.singleview.image.0.field}
									references = 
									references {
										table     = tx_org_news
										uid.field = tx_org_news.uid
										fieldName = image
									}
									begin = 0
									maxItems = 1
										// 10 = LOAD_REGISTER, 20 = IMAGE
									renderObj = COA
									renderObj {
											// tx_org_news__image.cObject = IMAGE
										10 = LOAD_REGISTER
										10 {
												// cObject = IMAGE
											tx_org_news__image =
											tx_org_news__image {
													// altText, file, imageLinkWrap, layout, layoutKey, sourceCollection, titleText
												cObject = IMAGE
												cObject {
														// file:current:uid: height, import, treatIdAsReference, width
													file =
													file {
														treatIdAsReference = 1
															// file:current:uid
														import =
														import {
															data = file:current:uid
														}
														height = 120c
														height {
															override {
																stdWrap {
																	field = imageheight
																}
															}
														}
														width = 120
														width {
															override {
																stdWrap {
																	field = imagewidth
																}
															}
														}
													}
														// file:current:alternative
													altText = TEXT
													altText {
														data = file:current:alternative
														stdWrap {
															stripHtml = 1
															htmlSpecialChars = 1
														}
													}
														// file:current:title
													titleText = TEXT
													titleText {
														data = file:current:title
														stdWrap {
															stripHtml = 1
															htmlSpecialChars = 1
														}
													}
														// enabled by default
													imageLinkWrap = 1
													imageLinkWrap {
														enable = 1
															// additionalParam, forceAbsoluteUrl, parameter, returnLast, useCasheHash
														typolink {
																// url, target, class, title
															parameter{
																cObject = COA
																cObject {
																		// url
																	10 = COA
																	10 {
																		10 = TEXT
																		10 {
																			if {
																				isTrue = {$plugin.org.pages.news}
																			}
																			value = {$plugin.org.pages.news}
																		}
																		20 = TEXT
																		20 {
																			if {
																				isFalse = {$plugin.org.pages.news}
																			}
																			data = page:uid
																		}
																	}
																		// target
																	20 = TEXT
																	20 {
																		value       = _blank
																		noTrimWrap  = | ||
																	}
																		// class
																	30 = TEXT
																	30 {
																		value       = linktorecord
																		noTrimWrap  = | "|"|
																	}
																		// title
																	40 = TEXT
																	40 {
																		field = tx_org_news.marginal_title // marginal_title // tx_org_news.teaser_title // teaser_title // tx_org_news.title // title
																		stdWrap {
																			stripHtml         = 1
																			htmlSpecialChars  = 1
																			crop              = 40|...|1
																		}
																		noTrimWrap  = | "|"|
																	}
																}
															}
															additionalParams {
																wrap	= {$plugin.org.newsletter.tx_org_news.additionalParams}=|
																//wrap  = &tx_browser_pi1[{$plugin.tx_browser_pi1.templates.listview.url.5.showUid}]=|
																field = tx_org_news.uid // uid
															}
															extTarget	= _blank
															forceAbsoluteUrl = 1
															XXXforceAbsoluteUrl {
																scheme = {$plugin.tx_browser_pi1.templates.listview.url.0.forceAbsoluteUrlScheme}
															}
															useCacheHash	= 1
															XXXreturnLast		= 
														}
													}
													stdWrap {
														wrap (

														<td class="small-12 large-3 {$plugin.org.foundation.grid.class.cell} first">
															<table>
																<tr>
																	<td>
																		|
																	</td>
																</tr>
															</table>
														</td>
)
													}
													layoutKey = default
														// data, default, picture, srcset
													layout =
													layout {
														data {
															element = <img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" ###SOURCECOLLECTION### ###PARAMS### ###ALTPARAMS### ###SELFCLOSINGTAGSLASH###>
															source.noTrimWrap = | data-###DATAKEY###="###SRC###"|
														}
														default {
														 element = <img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" ###PARAMS### ###ALTPARAMS### ###BORDER### ###SELFCLOSINGTAGSLASH###>
														 source =
														}
														picture {
															element = <picture>###SOURCECOLLECTION###<img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" ###PARAMS### ###ALTPARAMS### ###SELFCLOSINGTAGSLASH###></picture>
															source = <source src="###SRC###" media="###MEDIAQUERY###" ###SELFCLOSINGTAGSLASH###>
														}
														srcset {
															element = <img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" srcset="###SOURCECOLLECTION###" ###PARAMS### ###ALTPARAMS### ###SELFCLOSINGTAGSLASH###>
															source = |*|###SRC### ###SRCSETCANDIDATE###,|*|###SRC### ###SRCSETCANDIDATE###
														}
													}
														// small, smallHires, smallRetina
													sourceCollection =
													sourceCollection {
														small {
															width = 200
															srcsetCandidate = 800w
															mediaQuery = (min-device-width: 800px)
															dataKey = small
														}
														smallHires {
															if.directReturn = 1
															width = 300
															pixelDensity = 2
															srcsetCandidate = 800w 2x
															mediaQuery = (min-device-width: 800px) AND (foobar)
															dataKey = smallHires
															pictureFoo = bar
														}
														smallRetina {
															if.directReturn = 1
															width = 200
															pixelDensity = 2
															srcsetCandidate = 600w 2x
															mediaQuery = (max-device-width: 600px) AND (min-resolution: 192dpi)
															dataKey = smallRetina
														}
													}
												}
											}
										}
											// data = register:tx_org_news__image
										20 = TEXT
										20 {
											data = register:tx_org_news__image
										}
									}
								}
									// notype: without any link (record is available only in list views)
								notype < .default
								notype {
									renderObj.10.tx_org_news__image.cObject.imageLinkWrap >
								 }
									// page: link to an internal page
								page < .default
								page {
									renderObj.10.tx_org_news__image.cObject.imageLinkWrap {
										typolink {
												// url, target, class, title
											parameter.cObject {
												10 >
												10 = TEXT
												10 {
													field = tx_org_news.page // page
												}
												30 {
													value = linktopage
												}
											}
											additionalParams >
										}
									}
								}
									// url: link to an external website
								url < .page
								url {
									renderObj.10.tx_org_news__image.cObject.imageLinkWrap {
										typolink {
												// url, target, class, title
											parameter.cObject {
												10 >
												10 = TEXT
												10 {
													field = tx_org_news.url // url
												}
												20 {
													value       = _blank
													noTrimWrap  = | ||
												}
												30 {
													value = linktourl
												}
											}
											additionalParams >
										}
									}
								}
							}
								// text: teaser_title, teaser_subtitle, teaser_short, bookmarks
								// teaser_title, teaser_subtitle, teaser_short, socialmedia_bookmarks
							20 = COA
							20 {
									// teaser_title or title
								10 = CASE
								10 {
									key {
										field = tx_org_news.type // type
									}
									default = TEXT
									default {
										field = tx_org_news.marginal_title // marginal_title // tx_org_news.teaser_title // teaser_title // tx_org_news.title // title
										stdWrap {
											stripHtml         = 1
											htmlSpecialChars  = 0
											crop              = 40|...|1
										}
										typolink {
												// url, target, class, title
											parameter{
												cObject = COA
												cObject {
														// url
													10 = COA
													10 {
														10 = TEXT
														10 {
															if {
																isTrue = {$plugin.org.pages.news}
															}
															value = {$plugin.org.pages.news}
														}
														20 = TEXT
														20 {
															if {
																isFalse = {$plugin.org.pages.news}
															}
															data = page:uid
														}
													}
														// target
													20 = TEXT
													20 {
														value       = _blank
														noTrimWrap  = | ||
													}
														// class
													30 = TEXT
													30 {
														value       = linktorecord
														noTrimWrap  = | "|"|
													}
														// title
													40 = TEXT
													40 {
														field = tx_org_news.marginal_title // marginal_title // tx_org_news.teaser_title // teaser_title // tx_org_news.title // title
														stdWrap {
															stripHtml         = 1
															htmlSpecialChars  = 1
															crop              = 40|...|1
														}
														noTrimWrap  = | "|"|
													}
												}
											}
											additionalParams {
												wrap	= {$plugin.org.newsletter.tx_org_news.additionalParams}=|
												//wrap  = &tx_browser_pi1[{$plugin.tx_browser_pi1.templates.listview.url.5.showUid}]=|
												field = tx_org_news.uid // uid
											}
											forceAbsoluteUrl = 1
											XXXforceAbsoluteUrl {
												scheme = {$plugin.tx_browser_pi1.templates.listview.url.5.forceAbsoluteUrlScheme}
											}
											useCacheHash	= 1
											XXXreturnLast		= 
										}
										required = 1
										wrap = <span class="header">|</span>
										postCObject = TEXT
										postCObject {
											value = &raquo;
											noTrimWrap = | ||
										}
									}
									notype < .default
									notype {
										typolink >
										postCObject >
									}
									page < .default
									page {
										typolink {
												// url, target, class, title
											parameter.cObject {
												10 >
												10 = TEXT
												10 {
													field = tx_org_news.page // page
												}
												30 {
													value = linktopage
												}
											}
											additionalParams >
										}
									}
									url < .default
									url {
										typolink {
												// url, target, class, title
											parameter.cObject {
												10 >
												10 = TEXT
												10 {
													field = tx_org_news.url // url
												}
												20 {
													value       = _blank
													noTrimWrap  = | ||
												}
												30 {
													value = linktourl
												}
											}
											additionalParams >
										}
									}
								}
									// tx_org_news.teaser_subtitle or tx_org_news.subtitle
								20 = TEXT
								20 {
									field     = {$plugin.tx_browser_pi1.templates.listview.subtitle.0.field}
									required	= 1
									wrap = <br /><span class="subtitle">|</span>
									stdWrap {
										stripHtml         = 1
										htmlSpecialChars  = 0
										crop = {$plugin.tx_browser_pi1.templates.listview.subtitle.0.crop}
									}
								}
									// tx_org_news.teaser_short or tx_org_news.bodytext
								30 = TEXT
								30 {
									field     = {$plugin.tx_browser_pi1.templates.listview.text.0.field}
									required	= 1
									wrap = <br /><span class="short">|</span>
									stdWrap {
										stripHtml         = 1
										htmlSpecialChars  = 0
										crop = {$plugin.tx_browser_pi1.templates.listview.text.0.crop}
									}
								}
								wrap {
									stdWrap {
										cObject = COA
										cObject {
											10 = TEXT
											10 {
													// true, if there is an image or a default image
												//if < temp.plugin.tx_browser_pi1.views.list.420.ifImage
												if.isTrue.data = register:tx_org_news__image
												value (
									
												<td class="small-12 large-9 {$plugin.org.foundation.grid.class.cell} last">
													<table>
														<tr>
															<td>
																|
															</td>
														</tr>
													</table>
												</td>
												<td class="expander"></td>
)
											}
											20 = TEXT
											20 {
													// false, if there is an image or a default image
#												if < temp.plugin.tx_browser_pi1.views.list.420.ifImage
#												if {
#													negate = 1
#												}
												if.isFalse.data = register:tx_org_news__image
												value (

													<td class="small-12 large-12 {$plugin.org.foundation.grid.class.cell} last">
														<table>
															<tr>
																<td>
																	|
																</td>
															</tr>
														</table>
													</td>
													<td class="expander"></td>
)
											}
										}
									}
								}
							}
							30 = RESTORE_REGISTER
							wrap = <tr>|</tr>
						}
						wrap (

								</td>
							</tr>
							<tr>
								<td>
									<table>
												|
									</table>
								</td>
							</tr>
							<tr>
								<td>

)
          }
        }
      }
    }
  }
}