plugin.tx_browser_pi1 {
	areas {
		case = year
		year {
			start_period = -10 year
			times = 11
		}
	}
  navigation {
    showUid = seminarUid
  }

  templates {
    listview {
      header {
        0 {
          crop  = 40|...|1
          field = tx_org_seminar.teaser_title // tx_org_seminar.title
          title = tx_org_seminar.title
        }
        1 {
          crop  = 30|...|1
          field = tx_org_seminar.subtitle // tx_org_seminar.teaser_subtitle
          title = tx_org_seminar.title
          tag   = h3
        }
      }
      image {
        0 {
          default				= EXT:org/Resources/Public/Images/Icons/Default/svg/tx_org_seminar.svg
          // internal #t0774
          field					= image
          file					= tx_org_seminar.image
					height				= imageheight
          heightDefault = 180c
          #listNum   =
          path					= uploads/tx_org/
          seo						= tx_org_seminar.imageseo
          // internal #t0774
          table					= tx_org_seminar
					width 				= imagewidth
          widthDefault	= 220
        }
      }
      subtitle {
        0 {
          crop  = 60|...|1
          field = tx_org_seminar.teaser_subtitle // tx_org_seminar.subtitle
        }
      }
      text {
        0 {
          crop = 240|...|1
          field = tx_org_seminar.teaser_short // tx_org_seminar.bodytext
          tag  = p
        }
      }
      url {
        0 {
          key       = tx_org_seminar.type
          page      = tx_org_seminar.page
          record    = tx_org_seminar.uid
          showUid   = seminarUid
          singlePid =
          url       = tx_org_seminar.url
        }
      }
    }
    singleview {
      image {
        0 {
          caption           = tx_org_seminar.imagecaption
          // internal #t0774
          field             = image
          firstForListOnly  = tx_org_seminar.image_1stforlistonly
          file              = tx_org_seminar.image
          height            = tx_org_seminar.imageheight
          imagecols         = tx_org_seminar.imagecols
          imageorient       = tx_org_seminar.imageorient
          path              = uploads/tx_org/
          seo               = tx_org_seminar.imageseo
          // internal #t0774
          table             = tx_org_seminar
          width             = tx_org_seminar.imagewidth
          zoom              = tx_org_seminar.image_zoom
        }
      }
    }
  }
}

[globalVar = GP:type = 67426]
  plugin.tx_browser_pi1 {
    templates {
      listview {
        image {
          0 {
            heightDefault    = 58c
            widthDefault     = 58
          }
        }
      }
    }
  }
[global]