plugin.tx_browser_pi1 {
  views {
    list {
      601 {
        tx_org_seminar {
            // text, bookmarks; image
          title = COA
          title {
              // text: teaser_title, teaser_subtitle, teaser_short, bookmarks
              // teaser_title, teaser_subtitle, teaser_short, socialmedia_bookmarks
            10 = COA
            10 {
                // teaser_title
              10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.header.0
                // teaser_subtitle
              20 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.subtitle.0
                // teaser_short
              30 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.text.0
                // socialmedia_bookmarks
              40 = TEXT
              40 {
                value = ###SOCIALMEDIA_BOOKMARKS###
                //wrap = <div class="{$plugin.org.foundation.grid.class.row}"><div class="{$plugin.org.foundation.grid.class.cell}">|</div></div>
                wrap = <div class="###CSSVISLARGETO###">|</div>
              }
              //wrap = <div class="###CSSGRID######CSSGRIDSMALL###12 ###CSSGRIDMEDIUM###12 ###CSSGRIDLARGE###9">|</div>
              wrap {
                stdWrap {
                  cObject = COA
                  cObject {
                    10 = TEXT
                    10 {
                        // true, if there is an image or a default image
                      if < temp.plugin.tx_browser_pi1.views.list.601.ifImage
                      value = <div class="{$plugin.org.templates.seminar.601.column.1.class}">|</div>
                    }
                    20 = TEXT
                    20 {
                        // false, if there is an image or a default image
                      if < temp.plugin.tx_browser_pi1.views.list.601.ifImage
                      if {
                        negate = 1
                      }
                      value = <div class="###CSSGRID######CSSGRIDSMALL###12 ###CSSGRIDMEDIUM###12 ###CSSGRIDLARGE###12">|</div>
                    }
                  }
                }
              }
            }
              // image
            20 = COA
            20 {
                // true, if there is an image or a default image
              if < temp.plugin.tx_browser_pi1.views.list.601.ifImage
                // image
              10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.image.0
              wrap = <div class="{$plugin.org.templates.seminar.601.column.2.class}">|</div>
            }
            wrap = <div class="{$plugin.org.foundation.grid.class.row}">|</div>
          }
        }
      }
    }
  }
}

// #i0076
[globalVar = GP:type = {$plugin.pdfcontroller.pages.print.typeNum}]
  plugin.tx_browser_pi1 {
    views {
      list {
        601 {
          tx_org_seminar {
            title {
              10 {
                40 >
                wrap = <td class="text" style="width:80%;">|</td>
              }
              20 {
                wrap = <td class="image" style="width:20%;">|</td>
              }
              wrap = <table style="width:100%;"><tr class="{$plugin.org.foundation.grid.class.row}">|</tr></table><p>&nbsp;</p>
            }
          }
        }
      }
    }
  }
[global]