plugin.tx_browser_pi1 {
  views {
    single {
      601 {
        tx_org_news {
          tx_org_staff {
          }
            // row: vcard
          tx_org_staff = COA
          tx_org_staff {
              // if is true tx_org_news.tx_org_staff
            if =
            if {
              isTrue {
                field = tx_org_news.tx_org_staff
              }
            }
              // div box
            wrap = <ul class="vcard tx_org_staff">|</ul><!-- vcard -->
              // Marginal news box: header, items
            10 = COA
            10 {
              20 = CONTENT
              20 {
                table = tx_org_staff
                select {
                  pidInList = {$plugin.org.sysfolder.staff}
									recursive = {$plugin.org.sysfolder.staff.recursive}
                  join = tx_org_mm_all ON tx_org_mm_all.uid_foreign = tx_org_staff.uid
									where = 
									where {
										stdWrap {
											cObject = COA
											cObject {
												10 = TEXT
												10 {
													value = 1
												}
												20 = TEXT
												20 {
													data        = GP:tx_browser_pi1|seminarUid
													intval      = 1
													noTrimWrap = | AND tx_org_mm_all.uid_local = | AND tx_org_mm_all.table_local = 'tx_org_news' AND tx_org_mm_all.table_foreign = 'tx_org_staff'|
												}
											}
										}
									}
                }
                renderObj = COA
                renderObj {
                    // image, header
                  10 = COA
                  10 {
                    10 = COA
                    10 {
                      10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.image.1
                      wrap = <div class="image" style="float:right;padding-left:1em;">|</div>
                    }
                      // title, if title (name)
                    20 = TEXT
                    20 {
                      value = By
                      lang {
                        de = Von
                        en = By
                      }
                    }
                    wrap = <li class="header">|</li>
                  }
                    // name linked
                  20 = CASE
                  20 {
                    key {
                      field = {$plugin.tx_browser_pi1.templates.listview.url.1.key}
                    }
                    default = TEXT
                    default {
                      stdWrap {
                        cObject = COA
                        cObject {
                            // title, if title (name)
                          20 = TEXT
                          20 {
                            if {
                              isTrue {
                                field = title
                              }
                            }
                            field = title
                          }
                            // name_first name_last, if no title (name)
                          30 = COA
                          30 {
                            if {
                              isFalse {
                                field = title
                              }
                            }
                            10 = TEXT
                            10 {
                              field = name_first
                              noTrimWrap = || |
                              required = 1
                            }
                            20 = TEXT
                            20 {
                              field = name_last
                            }
                          }
                        }
                      }
                      stdWrap {
                        noTrimWrap = || &raquo;|
                      }
                      typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.1.default
                      wrap = <li class="fn">|</li>
                    }
                    notype < .default
                    notype {
                      stdWrap {
                        noTrimWrap >
                        wrap = |
                      }
                      typolink >
                    }
                    page < .default
                    page {
                      typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.1.page
                    }
                    url < .page
                    url {
                      typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.1.url
                    }
                  }
                    // phone
                  41 = COA
                  41 {
                    if {
                      isTrue {
                        field = contact_phone // tx_org_headquarters.telephone
                      }
                    }
                    wrap = <li class="phone">|</li>
                      // label
                    10 = TEXT
                    10 {
                      noTrimWrap = || |
                      value = phone
                      lang {
                        en = phone
                        de = Tel.
                      }
                      wrap = <span class="labeling">|</span>
                    }
                      // value
                    20 = TEXT
                    20 {
                      field = contact_phone // tx_org_headquarters.telephone
                      required = 1
                      wrap = <span class="value">|</span>
                    }
                  }
                    // fax
                  42 = COA
                  42 {
                    if {
                      isTrue {
                        field = contact_fax // tx_org_headquarters.fax
                      }
                    }
                    wrap = <li class="phone">|</li>
                      // label
                    10 = TEXT
                    10 {
                      noTrimWrap = || |
                      value = fax
                      lang {
                        en = fax
                        de = Fax
                      }
                      wrap = <span class="labeling">|</span>
                    }
                      // fax
                    20 = TEXT
                    20 {
                      field = contact_fax // tx_org_headquarters.fax
                      required = 1
                      wrap = <span class="value">|</span>
                    }
                  }
                    // e-mail
                  43 = TEXT
                  43 {
                    field = contact_email // tx_org_headquarters.email
                    stdWrap {
                      stripHtml = 1
                      htmlSpecialChars = 1
                    }
                    typolink {
                      parameter {
                        field = contact_email // tx_org_headquarters.email
                      }
                    }
                    wrap = <li class="email"><span class="email"></span>|</li>
                    required = 1
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}