-- Show all categories, which aren't used by tx_org_news
SET @pid = 10014;  -- pid of folder which contains tx_org_newscat
SELECT  uid, title 
FROM		tx_org_newscat
WHERE   pid = @pid
AND			uid NOT IN
(
	SELECT  uid_foreign
	FROM    tx_org_mm_all
	WHERE		tx_org_mm_all.table_local		= 'tx_org_news'
	AND			tx_org_mm_all.table_foreign = 'tx_org_newscat'
)
ORDER BY	tx_org_newscat.title

-- Hide non used categories
SET @pid = 10014;  -- pid of folder which contains tx_org_newscat
UPDATE  tx_org_newscat
SET			hidden = 1
WHERE   pid = @pid
AND			uid NOT IN
(
	SELECT  uid_foreign
	FROM    tx_org_mm_all
	WHERE		tx_org_mm_all.table_local		= 'tx_org_news'
	AND			tx_org_mm_all.table_foreign = 'tx_org_newscat'
)
ORDER BY	tx_org_newscat.title

-- Delete non used categories
SET @pid = 10014;  -- pid of folder which contains tx_org_newscat
UPDATE  tx_org_newscat
SET			deleted = 1
WHERE   pid = @pid
AND			uid NOT IN
(
	SELECT  uid_foreign
	FROM    tx_org_mm_all
	WHERE		tx_org_mm_all.table_local		= 'tx_org_news'
	AND			tx_org_mm_all.table_foreign = 'tx_org_newscat'
)
ORDER BY	tx_org_newscat.title