<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads',
				'label' => 'title',
				//'label'             => 'datetime',
//'label_alt'         => 'title',
//'label_alt_force'   => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY title',
				//'default_sortby'    => 'ORDER BY datetime DESC, title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
						'fe_group' => 'fe_group',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => true,
				'thumbnail' => 'documents',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_downloads.svg',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\Org\TCA\Ctrl\Icons::TypeIconClasses( 'tx_org_downloads' ),
				'searchFields' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,'
				. 'type,title,subtitle,datetime,tx_org_downloadscat,tx_org_downloadsmedia,bodytext,'
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Media()
				. 'thumbnail,thumbnail_width,thumbnail_height,'
				. 'linkicon_width,linkicon_height,'
				//. 'tx_flipit_layout,tx_flipit_quality,tx_flipit_pagelist,tx_flipit_updateswfxml,tx_flipit_swf_files,tx_flipit_xml_file,tx_flipit_fancybox,tx_flipit_evaluate,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'price,tax,'
				. 'stockmanagement,stockquantity,stockprompt,'
				. 'pages,'
				. 'topitem,hidden,pages,starttime,endtime,fe_group,'
				. 'seo_keywords,seo_description,'
				. 'statistics_hits,statistics_visits,statistics_downloads,statistics_downloads_by_visits,',
				// #69257, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
		),
		'columns' => array(
				'sys_language_uid' => \Netzmacher\Org\TCA\Columns::SysLanguageUid(),
				'filterPrompt' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/Userfunc/TcaFilterPrompt/locallang.xlf:default.label',
						'config' => array(
								'type' => 'user',
								'userFunc' => 'Netzmacher\Org\Utility\UserFunc\TcaFilterPrompt->tx_org_downloads',
						),
				),
				'type' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.type',
						'config' => array(
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectSingle',
								'items' => array(
										'download' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.type.download',
												'1' => 'download',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_downloads.' . \Netzmacher\Org\TCA\Columns\Type\Items::Ext(),
										),
										'download_shipping' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.type.download_shipping',
												'1' => 'download_shipping',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/download_shipping.' . \Netzmacher\Org\TCA\Columns\Type\Items::Ext(),
										),
										'shipping' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.type.shipping',
												'1' => 'shipping',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/shipping.' . \Netzmacher\Org\TCA\Columns\Type\Items::Ext(),
										),
								),
								'default' => 'download',
						),
				),
				'bodytext' => \Netzmacher\Org\TCA\Columns::Bodytext(),
				'seo_description' => \Netzmacher\Org\TCA\Columns::SeoDescription(),
				'seo_keywords' =>  \Netzmacher\Org\TCA\Columns::SeoKeywords(),
				'subtitle' => \Netzmacher\Org\TCA\Columns::Subtitle(),
				'teaser_short' => \Netzmacher\Org\TCA\Columns::TeaserShort(),
				'teaser_short_for_singleview' => \Netzmacher\Org\TCA\Columns::TeaserShortForSingleview(),
				'teaser_subtitle' => \Netzmacher\Org\TCA\Columns::TeaserSubtitle(),
				'teaser_title' => \Netzmacher\Org\TCA\Columns::TeaserTitle(),
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'datetime' => array(
						'exclude' => 0,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.datetime',
						'config' => array(
								'type' => 'input',
								'renderType' => 'inputDateTime',
								'size' => '10',
								'eval' => 'datetime,required',
						),
				),
				'tx_org_downloadscat' => array(
						'exclude' => 1,
						// #t1668, 171206, dwildt, 1-/3+
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_org_downloadscat',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 99,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_downloads',
										'table_foreign' => 'tx_org_downloadscat'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_downloads',
										'table_foreign' => 'tx_org_downloadscat'
								),
								'foreign_table' => 'tx_org_downloadscat',
								'foreign_table_where' => 'AND tx_org_downloadscat.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_downloadscat.deleted = 0 AND tx_org_downloadscat.hidden = 0 ORDER BY tx_org_downloadscat.title',
						),
				),
				'tx_org_downloadsmedia' => array(
						'exclude' => 1,
						// #t1668, 171206, dwildt, 1-/3+
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_org_downloadsmedia',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 99,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_downloads',
										'table_foreign' => 'tx_org_downloadsmedia'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_downloads',
										'table_foreign' => 'tx_org_downloadsmedia'
								),
								'foreign_table' => 'tx_org_downloadsmedia',
								'foreign_table_where' => 'AND tx_org_downloadsmedia.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_downloadsmedia.deleted = 0 AND tx_org_downloadsmedia.hidden = 0 ORDER BY tx_org_downloadsmedia.title',
						),
				),
				'thumbnail' => array(
						'exclude' => 1,
						// #t1668, 171206, dwildt, 1-/3+
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail',
						'config' => \Netzmacher\Org\TCA\Columns::Thumbnail(),
				),
				'thumbnail_width' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail_width',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'max' => '10',
								'eval' => 'trim',
								'checkbox' => '0',
								'default' => ''
						),
				),
				'thumbnail_height' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail_height',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'max' => '10',
								'eval' => 'trim',
								'checkbox' => '0',
								'default' => ''
						),
				),
				'tx_org_staff' => array(
						'exclude' => 0,
						// #t1668, 171206, dwildt, 1-/3+
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_org_staff',
						'config' => array(
								'type' => 'select',
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_downloads',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_downloads',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.title',
						// 'selectedListStyle' => $listStyleWidth, // 180321, dwildt, 1-
						// 'itemListStyle' => $listStyleWidth, // 180321,. dwildt, 1-
						),
				),
				'price' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.price',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'double2,nospace',
						)
				),
				'tax' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tax',
						'config' => array(
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectSingle',
								'items' => array(
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tax.I.0', '1' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tax.I.1', '2' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tax.I.2', '0' ),
								),
								'size' => 1,
								'maxitems' => 1,
								'eval' => 'required',
						)
				),
				'stockmanagement' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockmanagement',
						'config' => array(
								'type' => 'check',
								'default' => 0,
						)
				),
				'stockquantity' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockquantity',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
								'default' => 1
						)
				),
				'stockprompt' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt',
						'config' => array(
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectSingle',
								'items' => array(
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.priceonapplication', 'application' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.booked', 'booked' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.negotiation', 'negotiation' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.notavailable', 'notavailable' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.notinstock', 'notinstock' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.onapplication', 'onapplication' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.refit', 'refit' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.selled', 'selled' ),
								),
								'default' => 'selled',
								'size' => 1,
								'maxitems' => 1,
								'eval' => 'required',
						)
				),
				'pages' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.pages',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '10',
								'maxitems' => '99',
								'minitems' => '0',
						),
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'topitem' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.topitem',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'starttime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'starttime' ],
				'endtime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'endtime' ],
				'fe_cruser_id' => \Netzmacher\Org\TCA\Columns::FeCrUserId(),
				'statistics_hits' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_hits',
						'config' => array(
								'type' => 'none',
								'size' => '10',
						),
				),
				'statistics_visits' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_visits',
						'config' => array(
								'type' => 'none',
								'size' => '10',
						),
				),
				'statistics_downloads' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_downloads',
						'config' => array(
								'type' => 'none',
								'size' => '10',
						),
				),
				'statistics_downloads_by_visits' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_downloads_by_visits',
						'config' => array(
								'type' => 'none',
								'size' => '10',
						),
				),
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'topitem,hidden,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'price' => array(
						'showitem' => 'price;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.price,tax;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tax,',
						'canNotCollapse' => 1,
				),
				'statistics' => array(
						'showitem' => 'statistics_hits;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_hits,statistics_visits;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_visits,statistics_downloads;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_downloads,statistics_downloads_by_visits;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_downloads_by_visits',
						'canNotCollapse' => 1,
				),
				'statistics_shipping' => array(
						'showitem' => 'statistics_hits;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_hits,statistics_visits;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_visits',
						'canNotCollapse' => 1,
				),
				'stockmanagement' => array(
						'showitem' => ''
						. 'stockmanagement;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockmanagement,'
						. 'stockquantity;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockquantity,'
						. 'stockprompt;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt,'
						,
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
				'download' => array(
						'showitem' =>
						''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_doc,'
						. '  type,title,subtitle,datetime,filterPrompt,tx_org_downloadscat,tx_org_downloadsmedia,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_teaser,'
						. '  teaser_title, teaser_subtitle, teaser_short,teaser_short_for_singleview,'
// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_downloads', 'download' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_pricestock,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.palette.stockmanagement;stockmanagement,'
// #i0149, 160721, dwildt, -
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_flipit,'
//      . '  tx_flipit_layout,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_files;tx_flipit_quality,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_files;tx_flipit_files,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_fancybox;tx_flipit_fancybox,'
//      . '  tx_flipit_evaluate,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_feuser,      fe_user,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_control,'
						. '  sys_language_uid, l10n_parent, l10n_diffsource, --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_seo,'
						. '  seo_keywords,seo_description, description,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_statistics,  '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.statistics;statistics,'
						. '' ),
				'download_shipping' => array(
						'showitem' =>
						'--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_doc,'
						. '  type,title,subtitle,datetime,filterPrompt,tx_org_downloadscat,tx_org_downloadsmedia,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_teaser,'
						. '  teaser_title, teaser_subtitle, teaser_short,teaser_short_for_singleview,'
// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_downloads', 'download_shipping' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_pricestock,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.palette.stockmanagement;stockmanagement,'
// #i0149, 160721, dwildt, -
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_flipit,'
//      . '  tx_flipit_layout,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_files;tx_flipit_quality,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_files;tx_flipit_files,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_fancybox;tx_flipit_fancybox,'
//      . '  tx_flipit_evaluate,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_feuser,      fe_user,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_control,'
						. '  sys_language_uid, l10n_parent, l10n_diffsource, --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_seo,'
						. '  seo_keywords,seo_description, description,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_statistics,  '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.statistics;statistics,'
						. '' ),
				'shipping' => array(
						'showitem' =>
						'--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_doc,'
						. '  type,title,subtitle,datetime,filterPrompt,tx_org_downloadscat,tx_org_downloadsmedia,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_teaser,'
						. '  teaser_title, teaser_subtitle, teaser_short,teaser_short_for_singleview,'
// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_downloads', 'shipping' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_pricestock,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.palette.stockmanagement;stockmanagement,'
// #i0149, 160721, dwildt, -
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_flipit,'
//      . '  tx_flipit_layout,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_files;tx_flipit_quality,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_files;tx_flipit_files,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_fancybox;tx_flipit_fancybox,'
//      . '  tx_flipit_evaluate,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_feuser,      fe_user,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_control,'
						. '  sys_language_uid, l10n_parent, l10n_diffsource, --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_seo,'
						. '  seo_keywords,seo_description, description,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_statistics,  '
						. '--palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.statistics_shipping;statistics_shipping,'
						. '' ),
		),
);

// #t0773, 160721, dwildt, 2+
//$TCA[ 'columns' ] = ( array ) $TCA[ 'columns' ] + ( array ) orgTcaColumnsMedia( 'tx_org_downloads', 'documents', $conf_file_one_document, $xyz);
//$TCA[ 'ctrl' ] = ( array ) $TCA[ 'ctrl' ] + ( array ) orgTcaColumnsTypeicons( 'tx_org_downloads');
//$TCA[ 'palettes' ] = ( array ) $TCA[ 'palettes' ] + ( array ) orgTcaPalettesMedia( $fal );

$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::MediaColumns( $TCA[ 'columns' ], 'tx_org_downloads' );
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Media( $TCA[ 'palettes' ] );

// Enable or disable the localisation
//$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;
