<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat',
				'label' => 'title',
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				// #i0071, 150822, dwildt, 1-
				//'sortby' => 'sorting',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
				),
				'hideAtCopy' => false,
				'dividers2tabs' => true,
				'thumbnail' => 'image',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_downloads.svg',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\Org\TCA\Ctrl\Icons::TypeIconClasses( 'tx_org_downloadscat' ),
				'searchFields' => ''
				. 'type,'
				. 'title,title_lang_ol,text,text_lang_ol,'
				. 'color,'
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::IconMedium( )
				. 'hidden'
		,
		),
		'columns' => array(
				'type' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.type',
						'config' => array(
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectSingle',
								'items' => array(
										'cat_text' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.type.cat_text',
												'1' => 'cat_text',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/cat_text.' . \Netzmacher\Org\TCA\Columns\Type\Items::Ext(),
										),
										'cat_color' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.type.cat_color',
												'1' => 'cat_color',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/cat_color.' . \Netzmacher\Org\TCA\Columns\Type\Items::Ext(),
										),
										'cat_image' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.type.cat_image',
												'1' => 'cat_image',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/cat_image.' . \Netzmacher\Org\TCA\Columns\Type\Items::Ext(),
										),
								),
								'default' => 'cat_text',
						),
				),
				'title' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim,required'
						),
				),
				'title_lang_ol' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.title_lang_ol',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'text' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.text',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						),
				),
				'text_lang_ol' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.text_lang_ol',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						),
				),
				'color' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.color',
						'config' => \Netzmacher\Org\TCA\Columns\Config::Color( ),

				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
		),
		'palettes' => array(
				'titleText' => array(
						'showitem' => ''
						. 'title,%%%title_lang_ol,%%%--linebreak--,'
						. 'text,%%%text_lang_ol,%%%'
						,
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
				'cat_text' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.div_cat,'
						. '  type,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.titleText;titleText,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.div_control, '
						. '  hidden'
				)
				,
				'cat_color' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.div_cat,'
						. '  type,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.titleText;titleText,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloadsmedia.xml:tx_org_downloadsmedia.div_color,   color,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloadsmedia.xml:tx_org_downloadsmedia.div_control, hidden' 
				)
				,
				'cat_image' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.div_cat,'
						. '  type,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.titleText;titleText,'
						. \Netzmacher\Org\TCA\Types::IconMedium( 'medium', $fal )
//						. \Netzmacher\Org\TCA\Types::Icon( 'image', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloadscat.xml:tx_org_downloadscat.div_control, '
						. '  hidden'
				)
		,
		),
);

// #t0773, 160720, dwildt, 2+
//$TCA[ 'columns' ] = ( array ) $TCA[ 'columns' ] + ( array ) orgTcaColumnsIconMedium( $conf_file_image, $xyz, $arr_wizard_url);
//$TCA[ 'ctrl' ] = ( array ) $TCA[ 'ctrl' ] + ( array ) orgTcaColumnsTypeicons( 'tx_org_downloadscat');
//$TCA[ 'palettes' ] = ( array ) $TCA[ 'palettes' ] + ( array ) orgTcaPalettesIconMedium( $fal );

$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::IconMedium( $TCA[ 'columns' ]);
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::IconMedium( $TCA[ 'palettes' ]);

// Enable or disable the localisation
$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;

