<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staffgroup.xml:tx_org_staffgroup',
				'label' => 'title',
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
				),
				'dividers2tabs' => true,
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_staff.svg',
				'searchFields' => ''
				. 'title,%%%title_lang_ol%%%'
		,
		),
		'columns' => array(
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'title_lang_ol' => \Netzmacher\Org\TCA\Columns::Translation(),
				'uid_parent' => \Netzmacher\Org\TCA\Columns::UidParent( 'tx_org_staffgroup' ),
		),
		'palettes' => array(
				'title' => array(
						'showitem' => ''
						. 'title,%%%title_lang_ol,%%%'
						,
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
				'0' => array(
						'showitem' =>
						'--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staffgroup.xml:tx_org_staffgroup.div_category,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.title;title,'
						. 'uid_parent,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staffgroup.xml:tx_org_staffgroup.div_control, hidden'
						. ''
				),
		),
);

// Enable or disable the localisation
$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;
