<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_tax.xml:tx_org_tax',
				'label' => 'value',
				'label_alt' => 'title',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'default_sortby' => 'ORDER BY value ASC',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => true,
				'thumbnail' => 'image',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_tax.svg',
				'searchFields' => 'title,%%%title_lang_ol,%%%value,' .
				'hidden,starttime,endtime'
		),
		'columns' => array(
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'title_lang_ol' => \Netzmacher\Org\TCA\Columns::Translation(),
				'value' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_tax.xml:tx_org_tax.value',
						'config' => array(
								'type' => 'input',
								'size' => '5',
								'max' => '5',
								'eval' => 'required,double2',
						),
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'starttime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'starttime' ],
				'endtime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'endtime' ],
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'hidden,--linebreak--,'
						. 'starttime,endtime'
				),
				'title' => array(
						'showitem' => ''
						. 'title,%%%title_lang_ol,%%%'
						,
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
				'0' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_tax.xml:tx_org_tax.div_tax,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.title;title,'
						. '  value,' .
						'--div--;LLL:EXT:org/Resources/Private/Language/tx_org_tax.xml:tx_org_tax.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				),
		),
);


// Enable or disable the localisation
$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;
