plugin.tx_browser_pi1 {
  templates {
    listview {
      header {
        1 {
          field   = tx_org_staff.name_last
          tag     = h4
        }
        2 {
          field   = tx_org_headquarters.marginal_title // marginal_title // tx_org_headquarters.teaser_title // teaser_title // tx_org_headquarters.title // title
          tag     = h4
        }
        3 {
          field   = tx_org_news.marginal_title // marginal_title // tx_org_news.teaser_title // teaser_title // tx_org_news.title // title
          tag     = h4
        }
        4 {
          field   = teaser_title // tx_org_location.teaser_title // teaser_title // title // tx_org_location.title // title
          tag     = h4
        }
        5 {
          field   = tx_org_cal.marginal_title // marginal_title // tx_org_cal.teaser_title // teaser_title // tx_org_cal.title // title
          tag     = h4
        }
        6 {
          field   = tx_org_event.teaser_title // teaser_title // tx_org_event.title // title
          tag     = h4
        }
        7 {
          field   = tx_org_seminar.teaser_title // teaser_title // tx_org_seminar.title // title
          tag     = h4
        }
      }
      image {
        1 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/svg/tx_org_staff.svg
          // internal #t0774
          field     = image
          file      = tx_org_staff.image // image
					height				= imageheight
          heightDefault = 56c
          path      = uploads/tx_org/
          seo       = tx_org_staff.imageseo // imageseo
          // internal #t0774
          table     = tx_org_staff
					width 				= imagewidth
          widthDefault	= 56
        }
        2 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/svg/tx_org_headquarters.svg
          // internal #t0774
          field     = image
          file      = tx_org_headquarters.image // image
					height				= imageheight
          heightDefault = 90c
          path      = uploads/tx_org/
          seo       = tx_org_headquarters.imageseo // imageseo
          // internal #t0774
          table     = tx_org_headquarters
					width 				= imagewidth
          widthDefault	= 220
        }
        3 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/svg/tx_org_news.svg
          // internal #t0774
          field     = image
          file      = tx_org_news.image // image
					height				= imageheight
          heightDefault = 90c
          path      = uploads/tx_org/
          seo       = tx_org_news.imageseo // imageseo
          // internal #t0774
          table     = tx_org_news
					width 				= imagewidth
          widthDefault	= 220
        }
        4 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/svg/tx_org_location.svg
          // internal #t0774
          field     = image
          file      = tx_org_location.image // image
					height				= imageheight
          heightDefault = 90c
          path      = uploads/tx_org/
          seo       = tx_org_location.imageseo // imageseo
          // internal #t0774
          table     = tx_org_location
					width 				= imagewidth
          widthDefault	= 220
        }
        5 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/svg/tx_org_cal.svg
          // internal #t0774
          field     = image
          file      = tx_org_cal.image // image
					height				= imageheight
          heightDefault = 90c
          path      = uploads/tx_org/
          seo       = tx_org_cal.imageseo // imageseo
          // internal #t0774
          table     = tx_org_cal
					width 				= imagewidth
          widthDefault	= 220
        }
        6 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/svg/tx_org_event.svg
          // internal #t0774
          field     = image
          file      = tx_org_event.image // image
					height				= imageheight
          heightDefault = 90c
          path      = uploads/tx_org/
          seo       = tx_org_event.imageseo // imageseo
          // internal #t0774
          table     = tx_org_event
					width 				= imagewidth
          widthDefault	= 220
        }
        7 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/svg/tx_org_seminar.svg
          // internal #t0774
          field     = image
          file      = tx_org_seminar.image // image
					height				= imageheight
          heightDefault = 90c
          path      = uploads/tx_org/
          seo       = tx_org_seminar.imageseo // imageseo
          // internal #t0774
          table     = tx_org_seminar
					width 				= imagewidth
          widthDefault	= 220
        }
      }
      text {
        1 {
          field   = tx_org_staff.bodytext // bodytext // tx_org_staff.vita // vita
        }
        2 {
          field   = tx_org_headquarters.teaser_short // teaser_short // tx_org_headquarters.bodytext // bodytext
        }
        3 {
          field   = tx_org_news.marginal_subtitle // marginal_subtitle // tx_org_news.teaser_subtitle // tx_org_news.subtitle
        }
        4 {
          field   = tx_org_location.teaser_short // teaser_short // tx_org_location.bodytext // bodytext
        }
        5 {
          field   = tx_org_cal.teaser_short // teaser_short // tx_org_cal.bodytext // bodytext
        }
        6 {
          field   = tx_org_event.teaser_short // teaser_short // tx_org_event.bodytext // bodytext
        }
        7 {
          field   = tx_org_seminar.teaser_short // teaser_short // tx_org_seminar.bodytext // bodytext
        }
      }
      url {
        1 {
          key       = tx_org_staff.type // type
          page      = tx_org_staff.page // page
          record    = tx_org_staff.uid // uid
          showUid   = staffUid
          singlePid =
          url       = tx_org_staff.url // url
        }
        2 {
          key       = tx_org_headquarters.type // type
          page      = tx_org_headquarters.page // page
          record    = tx_org_headquarters.uid // uid
          showUid   = headquartersUid
          singlePid =
          url       = tx_org_headquarters.url // url
        }
        3 {
          key       = tx_org_news.type // type
          page      = tx_org_news.page // page
          record    = tx_org_news.uid // uid
          showUid   = newsUid
          singlePid =
          url       = tx_org_news.url // url
        }
        4 {
          key       = tx_org_location.type // type
          page      = tx_org_location.page // page
          record    = tx_org_location.uid // uid
          showUid   = locationUid
          singlePid =
          url       = tx_org_location.url // url
        }
        5 {
          key       = tx_org_cal.type // type
          page      = tx_org_cal.page // page
          record    = tx_org_cal.uid // uid
          showUid   = calendarUid
          singlePid =
          url       = tx_org_cal.url // url
        }
        6 {
          key       = tx_org_event.type // type
          page      = tx_org_event.page // page
          record    = tx_org_event.uid // uid
          showUid   = eventUid
          singlePid =
          url       = tx_org_event.url // url
        }
        7 {
          key       = tx_org_seminar.type // type
          page      = tx_org_seminar.page // page
          record    = tx_org_seminar.uid // uid
          showUid   = seminarUid
          singlePid =
          url       = tx_org_seminar.url // url
        }
      }
    }
  }
}