plugin.tx_browser_pi1 {
  views {
    list {
      201 {
          // crdate, deleted, title
        tx_org_cal =
        tx_org_cal {
          crdate >
            // placeholder: radialsearch HTML class depending on radius
          crdate < plugin.tx_radialsearch.masterTemplates.htmlClass
          deleted >
          title >
            // title: linearDistanceString, image, tx_org_cal.datetime
          title = COA
          title {
            wrap = <div class="###CSSGRID######CSSGRIDMEDIUM###4">|</div>
              // placeholder: radialsearch linear distance
            9 < plugin.tx_radialsearch.masterTemplates.linearDistanceString
              // image, tx_org_cal.datetime
            10 = COA
            10 {
              wrap = <div class="{$plugin.org.foundation.grid.class.row}"><div class="###CSSGRID###">|</div></div>
              wrap = <div class="">|</div>
                // image
              10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.image.5
              10 {
                default {
									# #i0339, 181031, dwildt, 4-
									# default.renderObj.imageLinkWrap.typolink.parameter.cObject.30.value = linktosingle circleBak
									# ...
									tx_org_event {
										default {
												// table = tx_org_event, uid = tx_org_event.uid
											references = 
											references {
												table     = tx_org_event
												uid.field = tx_org_event.uid
											}
											# #i0339, 181031, dwildt, 1-
											# renderObj.imageLinkWrap.typolink.parameter.cObject.30.value = linktosingle circleBak
										}
										# #i0339, 181031, dwildt, 3-
										# notype.renderObj.imageLinkWrap.typolink.parameter.cObject.30.value = linktosingle circleBak
										# page.renderObj.imageLinkWrap.typolink.parameter.cObject.30.value = linktosingle circleBak
										# url.renderObj.imageLinkWrap.typolink.parameter.cObject.30.value = linktosingle circleBak
									}
								}
								enabled < .default
              }
							21 = RESTORE_REGISTER
                // tx_org_cal.datetime
              30 = COA
              30 {
                10 = COA
                10 {
                  if {
                    isTrue {
                      field = tx_org_cal.datetime
                    }
                  }
                    // 10: date isn't expired
                  10 = COA
                  10 {
                    if {
                      value {
                        data = date : U
                      }
                      isGreaterThan {
                        field = tx_org_cal.datetime
                      }
                    }
                      // date sheet
                    10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.details.5
                    10 {
                      default {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = <div class="month">%b</div><div class="day">{$plugin.org.templates.cal.listastiles.strftime.month}</div>
                        typolink.parameter.cObject.30.value = linktosingle button expand
                      }
                      notype {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = <span class="button expand circleBak cursorinherit"><div class="month">%b</div><div class="day">{$plugin.org.templates.cal.listastiles.strftime.month}</div></span>
                      }
                      page {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = <div class="month">%b</div><div class="day">{$plugin.org.templates.cal.listastiles.strftime.month}</div>
                        typolink.parameter.cObject.30.value = linktosingle button expand
                      }
                      tx_org_event {
                        default {
                          value >
                          lang >
                          field = tx_org_cal.datetime
                          strftime  = <div class="month">%b</div><div class="day">{$plugin.org.templates.cal.listastiles.strftime.month}</div>
                          typolink.parameter.cObject.30.value = linktosingle button expand
                        }
                        notype {
                          value >
                          lang >
                          field = tx_org_cal.datetime
                          strftime  = <span class="button expand circleBak cursorinherit"><div class="month">%b</div><div class="day">{$plugin.org.templates.cal.listastiles.strftime.month}</div></span>
                        }
                        page {
                          value >
                          lang >
                          field = tx_org_cal.datetime
                          strftime  = <div class="month">%b</div><div class="day">{$plugin.org.templates.cal.listastiles.strftime.month}</div>
                          typolink.parameter.cObject.30.value = linktosingle button expand
                        }
                        url {
                          value >
                          lang >
                          field = tx_org_cal.datetime
                          strftime  = <div class="month">%b</div><div class="day">{$plugin.org.templates.cal.listastiles.strftime.month}</div>
                          typolink.parameter.cObject.30.value = linktosingle button expand
                        }
                      }
                      url {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = <div class="month">%b</div><div class="day">{$plugin.org.templates.cal.listastiles.strftime.month}</div>
                        typolink.parameter.cObject.30.value = linktosingle button expand
                      }
                    }
                    wrap = <div class="tx_org_cal_datetime">|</div>
                  }
                    // 20: date is expired
                  20 < .10
                  20 {
                    if {
                      negate = 1
                    }
                    wrap = <div class="tx_org_cal_datetime expired">|</div>
                  }
                }
              }
            }
              // teaser_title, category
            20 = COA
            20 {
              stdWrap {
                wrap = <ul class="pricing-table" data-equalizer-watch>|</ul>
              }
                // teaser_title
              10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.header.5
              XXX10 {
                default {
                  wrap = <li class="title">|</li>
                  typolink.parameter.cObject.30.value = linktosingle button expand
                }
                notype {
                  wrap = <li class="title"><span class="button expand cursorinherit">|</span></li>
                }
                page {
                  wrap = <li class="title">|</li>
                  typolink.parameter.cObject.30.value = linktosingle button expand
                }
                tx_org_event {
                  default {
                    wrap = <li class="title">|</li>
                    typolink.parameter.cObject.30.value = linktosingle button expand
                  }
                  notype {
                    wrap = <li class="title"><span class="button expand cursorinherit">|</span></li>
                  }
                  page {
                    wrap = <li class="title">|</li>
                    typolink.parameter.cObject.30.value = linktosingle button expand
                  }
                  url {
                    wrap = <li class="title">|</li>
                    typolink.parameter.cObject.30.value = linktosingle button expand
                  }
                }
                url {
                  wrap = <li class="title">|</li>
                  typolink.parameter.cObject.30.value = linktosingle button expand
                }
              }
                // category
              20 = TEXT
              20 {
                value = &nbsp;
                wrap  = <li class="bullet-item category">|</li>
                override {
                  stdWrap {
                    if =
                    if {
                      isTrue {
                        field = tx_org_caltype.uid
                      }
                    }
                      // tx_org_caltype
                    cObject = CONTENT
                    cObject {
                      table = tx_org_caltype
                      select {
                        pidInList = {$plugin.org.sysfolder.calendar}
												recursive = {$plugin.org.sysfolder.calendar.recursive}
                        //selectFields = tx_org_caltype.title
                        join = tx_org_mm_all ON tx_org_mm_all.uid_foreign = tx_org_caltype.uid
												where = 
												where {
													stdWrap {
														cObject = COA
														cObject {
															10 = TEXT
															10 {
																value = 1
															}
															20 = TEXT
															20 {
																field = tx_org_cal.uid
																noTrimWrap = | AND tx_org_mm_all.uid_local = | AND tx_org_mm_all.table_local = 'tx_org_cal' AND tx_org_mm_all.table_foreign = 'tx_org_caltype'|
															}
														}
													}
												}
                        orderBy = tx_org_caltype.title
                      }
												// tx_org_cal.title (plugin.tx_org.templates.snippets.title_lang_ol)
											renderObj < plugin.tx_org.templates.snippets.title_lang_ol
												// split: 1 |*|, 2 |*| 3 (plugin.tx_org.templates.snippets.splitByComma)
											stdWrap < plugin.tx_org.templates.snippets.splitByComma
                    }
                  }
                }
              }
#                // tx_org_cal.marginal_subtitle
#              30 = TEXT
#              30 {
#                field     = tx_org_cal.marginal_subtitle // tx_org_cal.teaser_subtitle // tx_org_cal.subtitle
#                required  = 1
#                wrap      = <li class="bullet-item subtitle">|</li>
#              }
                // teaser_short
              40 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.text.5
              40 {
                default {
                  wrap = <li class="description">|</li>
                }
                notype {
                  wrap = <li class="description">|</li>
                }
                page {
                  wrap = <li class="description">|</li>
                }
                tx_org_event {
                  default {
                    wrap = <li class="description">|</li>
                  }
                  notype {
                    wrap = <li class="description">|</li>
                  }
                  page {
                    wrap = <li class="description">|</li>
                  }
                  url {
                    wrap = <li class="description">|</li>
                  }
                }
                url {
                  wrap = <li class="description">|</li>
                }
              }
            }
          }
        }
      }
    }
  }
}