  //////////////////////////////////////
  //
  // plugin.tx_org.templates.201.form

  // empty statement for proper comments below
plugin.tx_org {
}
  // templates
plugin.tx_org =
plugin.tx_org {
    // empty statement for proper comments only
  templates {
  }
    // 201
  templates =
  templates {
      // empty statement for proper comments only
    201 {
    }
      // form
    201 =
    201 {
        // if date isn't expired. 10: without stockmanagement. 20: with stockmanagement
      form = COA
      form {
          // if date isn't expired
        if =
        if {
          value {
            data = date : U
          }
          isGreaterThan {
            field = tx_org_cal.datetime
          }
        }
          // without stockmanagement
        10 = COA
        10 {
            // if tx_org_cal.stockmanagement is not true 
          if =
          if {
            isTrue {
              field = tx_org_cal.stockmanagement
            }
            negate = 1
          }
            // order form
          10 < plugin.tx_caddy_pi1.templates.html.form.order.foundation.5x.woSelect
          10 {
            20 {
              20 {
                  // tx_org_cal.uid
                20 = TEXT
                20 {
                  field = tx_org_cal.uid
                  wrap  = <input type="hidden" name="tx_org_cal[uid]" value="|" />
                }
                  // tx_org_cal.datetime
                30 = TEXT
                30 {
                  field     = tx_org_cal.datetime
                  strftime  = %A, %d. %B %Y, %H:%M Uhr
                  wrap      = <input type="hidden" name="tx_org_cal[datetime]" value="|" />
                }
                  // tx_org_calentrance.uid
                40 = TEXT
                40 {
                    // if is true plugin.org.templates.cal.variants.tx_org_calentrance.uid. Here: "{$plugin.org.templates.cal.variants.tx_org_calentrance.uid}"
                  if =
                  if {
                    isTrue = {$plugin.org.templates.cal.variants.tx_org_calentrance.uid}
                  }
                  //field     = tx_org_cal.datetime
                  value = {$plugin.org.templates.cal.variants.tx_org_calentrance.uid}
                  wrap  = <input type="hidden" name="tx_org_calentrance[uid]" value="|" />
                }
              }
            }
          }
        }
          // with stockmanagement
        20 = COA
        20 {
            // if tx_org_cal.stockmanagement is true 
          if =
          if {
            isTrue {
              field = tx_org_cal.stockmanagement
            }
          }
            // if: amount in stock is >= 1
          10 = COA
          10 {
              // if: amount in stock is >= 1
            if =
            if {
              value = 0
              isGreaterThan {
                field = tx_org_cal.stockquantity
              }
            }
              // order form
            10 < plugin.tx_caddy_pi1.templates.html.form.order.foundation.5x.woSelect
            10 {
              20 {
                20 {
                    // tx_org_cal.uid
                  20 = TEXT
                  20 {
                    field = tx_org_cal.uid
                    wrap  = <input type="hidden" name="tx_org_cal[uid]" value="|" />
                  }
                    // tx_org_cal.datetime
                  30 = TEXT
                  30 {
                    field     = tx_org_cal.datetime
                    strftime  = %A, %d. %B %Y, %H:%M Uhr
                    wrap      = <input type="hidden" name="tx_org_cal[datetime]" value="|" />
                  }
                    // tx_org_calentrance.uid
                  40 = TEXT
                  40 {
                      // if is true plugin.org.templates.cal.variants.tx_org_calentrance.uid. Here: "{$plugin.org.templates.cal.variants.tx_org_calentrance.uid}"
                    if =
                    if {
                      isTrue = {$plugin.org.templates.cal.variants.tx_org_calentrance.uid}
                    }
                    //field     = tx_org_cal.datetime
                    value = {$plugin.org.templates.cal.variants.tx_org_calentrance.uid}
                    wrap  = <input type="hidden" name="tx_org_calentrance[uid]" value="|" />
                  }
                }
              }
            }
          }
            // if: amount in stock is < 1
          20 = COA
          20 {
              // if: amount in stock is < 1
            if =
            if {
              value = 1
              isLessThan {
                field = tx_org_cal.stockquantity
              }
            }
            10 = CASE
            10 {
              key {
                field = tx_org_cal.stockprompt
              }
              default = TEXT
              default {
                data = LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.caseerror
                wrap = <div class="notInStock caseerror">|</div>
              }
              application = TEXT
              application {
                data = LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.priceonapplication
                wrap = <div class="notInStock application">|</div>
              }
              booked = TEXT
              booked {
                data = LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.booked
                wrap = <div class="notInStock booked">|</div>
              }
              negotiation = TEXT
              negotiation {
                data = LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.negotiation
                wrap = <div class="notInStock negotiation">|</div>
              }
              notavailable = TEXT
              notavailable {
                data = LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.notavailable
                wrap = <div class="notInStock notavailable">|</div>
              }
              notinstock = TEXT
              notinstock {
                data = LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.notinstock
                wrap = <div class="notInStock notinstock">|</div>
              }
              onapplication = TEXT
              onapplication {
                data = LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.onapplication
                wrap = <div class="notInStock application">|</div>
              }
              refit = TEXT
              refit {
                data = LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.refit
                wrap = <div class="notInStock refit">|</div>
              }
              selled = TEXT
              selled {
                data = LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.selled
                wrap = <div class="notInStock selled">|</div>
              }
            }
          }
        }
      }
    }
  }
}
  // plugin.tx_org.templates.201.form

plugin.tx_org {
  templates {
       // empty statement for proper comments only
    201 {
    }
      // formWiSelect
    201 =
    201 {
        // if date isn't expired. 10: without stockmanagement. 20: with stockmanagement
      formWiSelect < plugin.tx_org.templates.201.form
      formWiSelect {
        10 {
          10 < plugin.tx_caddy_pi1.templates.html.form.order.foundation.5x.wiSelect
          10 {
            20 {
              20 {
                  // tx_org_cal.uid
                20 = TEXT
                20 {
                  field = tx_org_cal.uid
                  wrap  = <input type="hidden" name="tx_org_cal[uid]" value="|" />
                }
                  // tx_org_cal.datetime
                30 = TEXT
                30 {
                  field     = tx_org_cal.datetime
                  strftime  = %A, %d. %B %Y, %H:%M Uhr
                  wrap      = <input type="hidden" name="tx_org_cal[datetime]" value="|" />
                }
              }
              30 {
                10 {
                  wrap = <div class="###CSSGRIDSMALL###12 ###CSSGRIDLARGE###2 {$plugin.org.foundation.grid.class.cell}">|</div>
                }
                  // select: tx_org_calentrance
                20 = COA
                20 {
                  wrap = <div class="###CSSGRIDSMALL###12 ###CSSGRIDLARGE###8 {$plugin.org.foundation.grid.class.cell}">|</div>
                    // select: tx_org_calentrance
                  10 = COA
                  10 {
                      // if is true plugin.org.templates.cal.variants.tx_org_calentrance.enabled. Here: "{$plugin.org.templates.cal.variants.tx_org_calentrance.enabled}"
                    if =
                    if {
                      value   = {$plugin.org.templates.cal.variants.tx_org_calentrance.enabled}
                      equals  = enabled
                      negate  = 1
                    }
                      // price
                    20 = TEXT
                    20 {
                      field = tx_org_cal.price
                      stdWrap {
                        numberFormat {
                          decimals = {$plugin.org.currency.decimals}
                          dec_point {
                            cObject = TEXT
                            cObject {
                              data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.currency.dec_point
                            }
                          }
                          thousands_sep {
                            cObject = TEXT
                            cObject {
                              data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.currency.thousands_sep
                            }
                          }
                        }
                        noTrimWrap = |<button class="button postfix tx_org_cal__price" role="button ">| {$plugin.org.currency.symbol}</button>|
                      }
                    }
                  }
                    // select: tx_org_calentrance
                  20 = COA
                  20 {
                      // if is true plugin.org.templates.cal.variants.tx_org_calentrance.enabled. Here: "{$plugin.org.templates.cal.variants.tx_org_calentrance.enabled}"
                    if =
                    if {
                      value   = {$plugin.org.templates.cal.variants.tx_org_calentrance.enabled}
                      equals  = enabled
                    }
                      // select
                    10 = TEXT
                    10 {
                      value = <select name="tx_org_calentrance[uid]" id="tx_browser_pi1_tx_org_calentrance_uid" size="1">
                    }
                      // options
                    20 = CONTENT
                    20 {
                      table = tx_org_calentrance
                      select {
                        pidInList = {$plugin.org.sysfolder.calendar}
												recursive = {$plugin.org.sysfolder.calendar.recursive}
                        //selectFields = tx_org_calentrance.title
                        join = tx_org_mm_all ON tx_org_mm_all.uid_foreign = tx_org_calentrance.uid
												where = 
												where {
													stdWrap {
														cObject = COA
														cObject {
															10 = TEXT
															10 {
																value = 1
															}
															20 = TEXT
															20 {
																field = tx_org_cal.uid
																noTrimWrap = | AND tx_org_mm_all.uid_local = | AND tx_org_mm_all.table_local = 'tx_org_cal' AND tx_org_mm_all.table_foreign = 'tx_org_calentrance'|
															}
														}
													}
												}
                        orderBy = tx_org_mm_all.sorting
                      }
                        // options
                      renderObj = COA
                      renderObj {
                        20 = TEXT
                        20 {
                          field = uid
                          wrap  = <option value="|">
                        }
                        21 = TEXT
                        21 {
                          field = title
                          wrap  = |
                        }
                        22 = TEXT
                        22 {
                          field = value
                          noTrimWrap  = | (| EUR)</option>|
                        }
                      }
                    }
                      // /select
                    30 = TEXT
                    30 {
                      value = </select>
                    }
                  }
                }
                90 {
                  wrap = <div class="###CSSGRIDSMALL###12 ###CSSGRIDLARGE###2 {$plugin.org.foundation.grid.class.cell}">|</div>
                }
              }
            }
          }
        }
        20 {
          10 {
            10 < plugin.tx_caddy_pi1.templates.html.form.order.foundation.5x.wiSelect
            10 {
              20 {
                20 {
                    // tx_org_cal.uid
                  20 = TEXT
                  20 {
                    field = tx_org_cal.uid
                    wrap  = <input type="hidden" name="tx_org_cal[uid]" value="|" />
                  }
                    // tx_org_cal.datetime
                  30 = TEXT
                  30 {
                    field     = tx_org_cal.datetime
                    strftime  = %A, %d. %B %Y, %H:%M Uhr
                    wrap      = <input type="hidden" name="tx_org_cal[datetime]" value="|" />
                  }
                }
                30 {
                  10 {
                    wrap = <div class="###CSSGRIDSMALL###12 ###CSSGRIDLARGE###2 {$plugin.org.foundation.grid.class.cell}">|</div>
                  }
                    // select: tx_org_calentrance
                  20 = COA
                  20 {
                    wrap = <div class="###CSSGRIDSMALL###12 ###CSSGRIDLARGE###8 {$plugin.org.foundation.grid.class.cell}">|</div>
                      // select: tx_org_calentrance
                    10 = COA
                    10 {
                        // if is true plugin.org.templates.cal.variants.tx_org_calentrance.enabled. Here: "{$plugin.org.templates.cal.variants.tx_org_calentrance.enabled}"
                      if =
                      if {
                        value   = {$plugin.org.templates.cal.variants.tx_org_calentrance.enabled}
                        equals  = enabled
                        negate  = 1
                      }
                        // price
                      20 = CASE
                      20 {
                        key {
                          field = tx_org_cal.stockprompt
                        }
                          // prompt the price like 999,00 €
                        default = TEXT
                        default {
                          field = tx_org_cal.price
                          stdWrap {
                            numberFormat {
                              decimals = {$plugin.org.currency.decimals}
                              dec_point {
                                cObject = TEXT
                                cObject {
                                  data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.currency.dec_point
                                }
                              }
                              thousands_sep {
                                cObject = TEXT
                                cObject {
                                  data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.currency.thousands_sep
                                }
                              }
                            }
                            noTrimWrap = || {$plugin.org.currency.symbol}|
                          }
                        }
                          // prompt the price like ---,-- €
                        application = TEXT
                        application {
                          data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.currency.applicationprice
                          noTrimWrap = || {$plugin.org.currency.symbol}|
                        }
                        stdWrap {
                          wrap = <button class="button postfix tx_org_cal__price" role="button ">|</button>
                        }
                      }
                    }
                      // select: tx_org_calentrance
                    20 = COA
                    20 {
                        // if is true plugin.org.templates.cal.variants.tx_org_calentrance.enabled. Here: "{$plugin.org.templates.cal.variants.tx_org_calentrance.enabled}"
                      if =
                      if {
                        value   = {$plugin.org.templates.cal.variants.tx_org_calentrance.enabled}
                        equals  = enabled
                      }
                        // select
                      10 = TEXT
                      10 {
                        value = <select name="tx_org_calentrance[uid]" id="tx_browser_pi1_tx_org_calentrance_uid" size="1">
                      }
                        // options
                      20 = CONTENT
                      20 {
                        table = tx_org_calentrance
                        select {
                          pidInList = {$plugin.org.sysfolder.calendar}
													recursive = {$plugin.org.sysfolder.calendar.recursive}
                          //selectFields = tx_org_calentrance.title
                          join = tx_org_mm_all ON tx_org_mm_all.uid_foreign = tx_org_calentrance.uid
													where = 
													where {
														stdWrap {
															cObject = COA
															cObject {
																10 = TEXT
																10 {
																	value = 1
																}
																20 = TEXT
																20 {
																	field = tx_org_cal.uid
																	noTrimWrap = | AND tx_org_mm_all.uid_local = | AND tx_org_mm_all.table_local = 'tx_org_cal' AND tx_org_mm_all.table_foreign = 'tx_org_calentrance'|
																}
															}
														}
													}
                          orderBy = tx_org_mm_all.sorting
                        }
                          // options
                        renderObj = COA
                        renderObj {
                          20 = TEXT
                          20 {
                            field = uid
                            wrap  = <option value="|">
                          }
                          21 = TEXT
                          21 {
                            field = title
                            wrap  = |
                          }
                          22 = TEXT
                          22 {
                            field = value
                            noTrimWrap  = | (| EUR)</option>|
                          }
                        }
                      }
                        // /select
                      30 = TEXT
                      30 {
                        value = </select>
                      }
                    }
                  }
                  90 {
                    wrap = <div class="###CSSGRIDSMALL###12 ###CSSGRIDLARGE###2 {$plugin.org.foundation.grid.class.cell}">|</div>
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}