plugin.tx_browser_pi1 {
  views {
    list {
      201 {
          // empty statement for proper commands only
        tx_org_cal {
        }
          // crdate (for radialsearch), deleted (for radialsearch), title
        tx_org_cal =
        tx_org_cal {
            // placeholder: radialsearch HTML class depending on radius
          crdate < plugin.tx_radialsearch.masterTemplates.htmlClass
            // placeholder: radialsearch linear distance
          deleted < plugin.tx_radialsearch.masterTemplates.linearDistanceString
					fe_cruser_id < plugin.tx_browser_pi6.interface.record
            // 10: bookmarks, title, subtitle, tx_org_caltype.title, image, teaser_short, location. 20: datesheet, caddy button
          title = COA
          title {
            //8 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinksAbsoluteURL
							// LOAD_REGISTER: tx_org_event, tx_org_seminar
						9 = COA
						9 {
							10 < plugin.tx_org.templates.load_register.tx_org_cal.tx_org_event
							20 < plugin.tx_org.templates.load_register.tx_org_cal.tx_org_location
						}
              // 10 (margin): datesheet, caddy button
            10 = COA
            10 {
              wrap = <div class="{$plugin.org.templates.cal.201.column.1.class}">|</div>
                // datesheet
              10 = COA
              10 {
                if {
                  isTrue {
                    field = tx_org_cal.datetime
                  }
                }
                  // 10: date isn't expired
                10 = COA
                10 {
                  if {
                    value {
                      data = date : U
                      //data = date : Y
                    }
                    isGreaterThan {
                      field = tx_org_cal.datetime
                      //strftime  = %Y
                    }
                  }
                  wrap = <ul class="vcard datesheet bg-color-primary">|</ul><!-- vcard -->
                    // name of weekday
                  10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.details.0
                  10 {
                    default {
                      value >
                      lang >
                      field = tx_org_cal.datetime
                      strftime  = {$plugin.org.templates.cal.201.strftime.weekday}
                      wrap = <li class="weekday">|</li>
                    }
                    notype {
                      value >
                      lang >
                      field = tx_org_cal.datetime
                      strftime  = {$plugin.org.templates.cal.201.strftime.weekday}
                      wrap = <li class="weekday">|</li>
                    }
                    page {
                      value >
                      lang >
                      field = tx_org_cal.datetime
                      strftime  = {$plugin.org.templates.cal.201.strftime.weekday}
                      wrap = <li class="weekday">|</li>
                    }
                    tx_org_event {
                      default {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = {$plugin.org.templates.cal.201.strftime.weekday}
                        wrap = <li class="weekday">|</li>
                      }
                      notype {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = {$plugin.org.templates.cal.201.strftime.weekday}
                        wrap = <li class="weekday">|</li>
                      }
                      page {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = {$plugin.org.templates.cal.201.strftime.weekday}
                        wrap = <li class="weekday">|</li>
                      }
                      url {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = {$plugin.org.templates.cal.201.strftime.weekday}
                        wrap = <li class="weekday">|</li>
                      }
                    }
                    tx_org_seminar {
                      default {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = {$plugin.org.templates.cal.201.strftime.weekday}
                        wrap = <li class="weekday">|</li>
                      }
                      notype {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = {$plugin.org.templates.cal.201.strftime.weekday}
                        wrap = <li class="weekday">|</li>
                      }
                      page {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = {$plugin.org.templates.cal.201.strftime.weekday}
                        wrap = <li class="weekday">|</li>
                      }
                      url {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = {$plugin.org.templates.cal.201.strftime.weekday}
                        wrap = <li class="weekday">|</li>
                      }
                    }
                    url {
                      value >
                      lang >
                      field = tx_org_cal.datetime
                      strftime  = {$plugin.org.templates.cal.201.strftime.weekday}
                      wrap = <li class="weekday">|</li>
                    }
                  }
                    // day of month as number
                  20 < .10
                  20 {
                    default {
                      strftime  = {$plugin.org.templates.cal.201.strftime.day_of_month}
                      wrap      = <li class="day_of_month">|</li>
                    }
                    notype {
                      strftime  = {$plugin.org.templates.cal.201.strftime.day_of_month}
                      wrap      = <li class="day_of_month">|</li>
                    }
                    page {
                      strftime  = {$plugin.org.templates.cal.201.strftime.day_of_month}
                      wrap      = <li class="day_of_month">|</li>
                    }
                    tx_org_event {
                      default {
                        strftime  = {$plugin.org.templates.cal.201.strftime.day_of_month}
                        wrap      = <li class="day_of_month">|</li>
                      }
                      notype {
                        strftime  = {$plugin.org.templates.cal.201.strftime.day_of_month}
                        wrap      = <li class="day_of_month">|</li>
                      }
                      page {
                        strftime  = {$plugin.org.templates.cal.201.strftime.day_of_month}
                        wrap      = <li class="day_of_month">|</li>
                      }
                      url {
                        strftime  = {$plugin.org.templates.cal.201.strftime.day_of_month}
                        wrap      = <li class="day_of_month">|</li>
                      }
                    }
                    tx_org_seminar {
                      default {
                        strftime  = {$plugin.org.templates.cal.201.strftime.day_of_month}
                        wrap      = <li class="day_of_month">|</li>
                      }
                      notype {
                        strftime  = {$plugin.org.templates.cal.201.strftime.day_of_month}
                        wrap      = <li class="day_of_month">|</li>
                      }
                      page {
                        strftime  = {$plugin.org.templates.cal.201.strftime.day_of_month}
                        wrap      = <li class="day_of_month">|</li>
                      }
                      url {
                        strftime  = {$plugin.org.templates.cal.201.strftime.day_of_month}
                        wrap      = <li class="day_of_month">|</li>
                      }
                    }
                    url {
                      strftime  = {$plugin.org.templates.cal.201.strftime.day_of_month}
                      wrap      = <li class="day_of_month">|</li>
                    }
                  }
                    // month year
                  30 < .10
                  30 {
                    default {
                      strftime  = {$plugin.org.templates.cal.201.strftime.month}
                      wrap      = <li class="month">|</li>
                    }
                    notype {
                      strftime  = {$plugin.org.templates.cal.201.strftime.month}
                      wrap      = <li class="month">|</li>
                    }
                    page {
                      strftime  = {$plugin.org.templates.cal.201.strftime.month}
                      wrap      = <li class="month">|</li>
                    }
                    tx_org_event {
                      default {
                        strftime  = {$plugin.org.templates.cal.201.strftime.month}
                        wrap      = <li class="month">|</li>
                      }
                      notype {
                        strftime  = {$plugin.org.templates.cal.201.strftime.month}
                        wrap      = <li class="month">|</li>
                      }
                      page {
                        strftime  = {$plugin.org.templates.cal.201.strftime.month}
                        wrap      = <li class="month">|</li>
                      }
                      url {
                        strftime  = {$plugin.org.templates.cal.201.strftime.month}
                        wrap      = <li class="month">|</li>
                      }
                    }
                    tx_org_seminar {
                      default {
                        strftime  = {$plugin.org.templates.cal.201.strftime.month}
                        wrap      = <li class="month">|</li>
                      }
                      notype {
                        strftime  = {$plugin.org.templates.cal.201.strftime.month}
                        wrap      = <li class="month">|</li>
                      }
                      page {
                        strftime  = {$plugin.org.templates.cal.201.strftime.month}
                        wrap      = <li class="month">|</li>
                      }
                      url {
                        strftime  = {$plugin.org.templates.cal.201.strftime.month}
                        wrap      = <li class="month">|</li>
                      }
                    }
                    url {
                      strftime  = {$plugin.org.templates.cal.201.strftime.month}
                      wrap      = <li class="month">|</li>
                    }
                  }
                }
                  // 20: date is expired
                20 < .10
                20 {
                  if {
                    negate = 1
                  }
                  wrap = <ul class="vcard datesheet datesheet_expired bg-color-disabled">|</ul><!-- vcard -->
                }
              }
                // caddy button (tx_org_calentrance)
              30 = COA
              30 {
                  // true, if plugin.org.templates.cal.caddybutton.list is true (here: "{$plugin.org.templates.cal.caddybutton.list}")
                if =
                if {
                  isTrue = {$plugin.org.templates.cal.caddybutton.list}
                }
                  // true, if: (tx_org_calentrance.uid is true AND plugin.org.templates.cal.variants.tx_org_calentrance.enabled is enabled) OR plugin.org.templates.cal.variants.tx_org_calentrance.enabled IS NOT enabled
                10 = COA
                10 {
                    // true, if: (tx_org_calentrance.uid is true AND plugin.org.templates.cal.variants.tx_org_calentrance.enabled is enabled) OR plugin.org.templates.cal.variants.tx_org_calentrance.enabled IS NOT enabled
                  if < plugin.tx_org.settings.rules.tx_org_cal.caddyButtonIsEnabled
                    // caddy button
                  10 < plugin.tx_org.templates.201.form
                    // Development only!
                  XXXDEV11 < plugin.tx_org.settings.rules.tx_org_cal.caddyButtonIsEnabled.equals.stdWrap.cObject.10.if.equals.stdWrap.cObject
                  XXXDEV11.wrap = <h1>10:|</h1>
                    // Development only!
                  XXXDEV12 = COA
                  XXXDEV12.10 < plugin.tx_org.settings.rules.tx_org_cal.caddyButtonIsEnabled.equals.stdWrap.cObject.20
                  XXXDEV12.wrap = <h1>20:|</h1>
                }
              }
            }
              // 20 (main): bookmarks, title, subtitle, tx_org_caltype.title, image, teaser_short, tx_org_location
            20 = COA
            20 {
              wrap = <div class="{$plugin.org.templates.cal.201.column.2.class}">|</div>
                // socialmedia_bookmarks
              10 = TEXT
              10 {
                value = ###SOCIALMEDIA_BOOKMARKS###
                wrap = <div style="float:right;">|</div>
              }
                // title: default, notype, page, url, tx_org_event
              20 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.header.0
                // tx_org_cal.subtitle
              21 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.subtitle.0
                // tx_org_caltype.title, if.isTrue plugin.org.templates.cal.201.row.tx_org_caltype (here: {$plugin.org.templates.cal.201.row.tx_org_caltype})
              30 = COA
              30 {
									// if.isTrue plugin.org.templates.cal.201.row.tx_org_caltype (here: {$plugin.org.templates.cal.201.row.tx_org_caltype})
                if =
                if {
                  isTrue = {$plugin.org.templates.cal.201.row.tx_org_caltype}
                }
									// tx_org_caltype.title, if.isTrue.field = tx_org_caltype.title
								10 = COA
								10 {
										// if.isTrue.field = tx_org_caltype.title
									if =
									if {
										isTrue {
											field = tx_org_caltype.title
										}
									}
									wrap = <p class="tx_org_caltype">|</p>
										// label
									10 = TEXT
									10 {
										data = LLL:EXT:org/Resources/Private/Language/locallang_db.xml:filter_phrase.caltype.title
										noTrimWrap = ||: |
									}
									20 = TEXT
									20 {
										field = tx_org_caltype.title
									}
								}
              }
                // image
              39 = COA
              39 {
                  // image
                10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.image.0
                10 {
									disabled {
										tx_org_event < plugin.tx_browser_pi1.displayList.master_templates.tableFields.image.0.disabled
									}
                }
                wrap = <div style="float:left;padding-right:1em;">|</div>
              }
                // teaser_short: default, notype, page, url, tx_org_event
              40 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.text.0
              40 {
                default {
                  11 < temp.tx_org_cal.datelineAndLength.list
                }
                notype {
                  11 < temp.tx_org_cal.datelineAndLength.list
                }
                page {
                  11 < temp.tx_org_cal.datelineAndLength.list
                }
                url {
                  11 < temp.tx_org_cal.datelineAndLength.list
                }
                tx_org_event {
                  default {
                    11 < temp.tx_org_cal.datelineAndLength.list
                  }
                  notype {
                    11 < temp.tx_org_cal.datelineAndLength.list
                  }
                  page {
                    11 < temp.tx_org_cal.datelineAndLength.list
                  }
                  url {
                    11 < temp.tx_org_cal.datelineAndLength.list
                  }
                }
              }
                // tx_org_location
              50 = COA
              50 {
                if {
                  isTrue {
                    field = tx_org_location.mail_city // tx_org_location.mail_postcode // tx_org_location.title
                  }
                }
                  // location
                10 = COA
                10 {
                  if {
                    isTrue {
                      field = tx_org_location.mail_city // tx_org_location.mail_postcode
                    }
                  }
                  10 = TEXT
                  10 {
                    field       = tx_org_location.mail_postcode
                    noTrimWrap  = || |
                    required    = 1
                  }
                  20 = TEXT
                  20 {
                    field       = tx_org_location.mail_city
                    noTrimWrap  = || |
                    required    = 1
                  }
                  30 = TEXT
                  30 {
                    value       = |
                    noTrimWrap  = | | |
                  }
                }
                20 = TEXT
                20 {
                  field       = tx_org_location.title
                  required =  1
                }
                wrap = <p class="location">|</p>
              }
            }
          }
        }
      }
    }
  }
}