plugin.tx_browser_pi1 {
  views {
    single {
      201 {
          // 140706: empty statement: for proper comments only
        tx_org_cal {
        }
          // tx_org_location
        tx_org_cal =
        tx_org_cal {
            // location marginal box: header, content
          tx_org_location = COA
          tx_org_location {
							// isTrue if: isTrue recordtypeIsNotPageNotypeUrl AND isTrue.field = tx_org_cal.tx_org_location
            if =
            if {
							value  = 12
								// returns 12, if.isTrue recordtypeIsNotPageNotypeUrl AND isTrue.field = tx_org_cal.tx_org_location
							equals =
							equals {
									// cObject: returns 12, if.isTrue recordtypeIsNotPageNotypeUrl AND isTrue.field = tx_org_cal.tx_org_location
								stdWrap =
								stdWrap {
										// 10: returns 1, if recordtypeIsNotPageNotypeUrl. 20: returns 2, if.isTrue.field = tx_org_cal.tx_org_location
									cObject = COA
									cObject {
											// returns 1, if 'page', 'notype', 'url', '1' or '2' equals.field = {$plugin.tx_browser_pi1.templates.listview.url.0.key} // #i0303 / #i0310
										10 = TEXT
										10 {
											value = 1
											if < plugin.tx_browser_pi1.displaySingle.master_templates.rules.recordtypeIsNotPageNotypeUrl
												// isTrue, if 'page', 'notype', 'url', '1' or '2' equals.field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
											if =
											//if.negate = 0
										}
											// returns 2, if.isTrue.field = tx_org_cal.tx_org_location
										20 = TEXT
										20 {
											value = 2
												// isTrue.field = tx_org_cal.tx_org_location
											if =
											if {
													// field = tx_org_cal.tx_org_location
												isTrue =
												isTrue {
													field = tx_org_cal.tx_org_location
												}
											}
										}
									}
								}
							}
            }
						//9 < plugin.tx_browser_pi1.views.single.201.tx_org_cal.tx_org_location.XXXif.equals.stdWrap.cObject
              // vcard: header, name, contact_email, contact_phone, contact_fax, contact_skype, mail_url,
            10 = COA
            10 {
                // column: header; title, steet, zip city, url
              10 = COA
              10 {
                wrap = <ul class="vcard tx_org_location">|</ul><!-- vcard -->
                  // header
                10 = TEXT
                10 {
                  data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org_location
                  wrap = <li class="header">|</li>
                }
                  // tx_org_location
                20 = COA
                20 {
                  10 = CONTENT
                  10 {
                    table = tx_org_location
                    select {
                      pidInList = {$plugin.org.sysfolder.location}
											recursive = {$plugin.org.sysfolder.location.recursive}
                      join = tx_org_mm_all ON tx_org_mm_all.uid_foreign = tx_org_location.uid
											where = 
											where {
												stdWrap {
													cObject = COA
													cObject {
														10 = TEXT
														10 {
															value = 1
														}
														20 = TEXT
														20 {
															data        = GP:tx_browser_pi1|calendarUid
															intval      = 1
															noTrimWrap  = | AND tx_org_mm_all.uid_local = | AND tx_org_mm_all.table_foreign = 'tx_org_location' AND tx_org_mm_all.table_local = 'tx_org_cal'|
														}
													}
												}
											}
                    }
                      // tx_org_cal.title croped and linked
                    renderObj = COA
                    renderObj {
                        // title (linked)
                      30 = CASE
                      30 {
                        key {
                          field = {$plugin.tx_browser_pi1.templates.listview.url.4.key}
                        }
                        default = TEXT
                        default {
                          field = marginal_title // teaser_title // title
                          wrap = <li class="fn">|</li>|
                          stdWrap {
                            noTrimWrap = || &raquo;|
                          }
                          required = 1
                          typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.4.default
                        }
                        notype = TEXT
                        notype {
                          field = marginal_title // teaser_title // title
                          wrap = <li class="fn">|</li>|
                        }
                        page < .default
                        page {
                          typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.4.page
                        }
                        url < .page
                        url {
                          typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.4.url
                        }
                      }
                        // city
                      41 = COA
                      41 {
                        if {
                          isTrue {
                            cObject = COA
                            cObject {
                                // mail_postcode
                              10 = TEXT
                              10 {
                                field = mail_postcode
                              }
                                // mail_city
                              20 = TEXT
                              20 {
                                field = mail_city
                              }
                            }
                          }
                        }
                          // mail_city
                        20 = TEXT
                        20 {
                          if {
                            isTrue {
                              field = mail_city
                            }
                          }
                          field = mail_city
                          noTrimWrap = || |
                        }
                        wrap = <li class="city">|</li>
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}