plugin.tx_browser_pi1 {
  views {
    list {
      211 = +Org: Calendar (margin)
      211 {
        name    = +Org: Calendar (margin)
        showUid = calendarUid
        select (
					tx_org_cal.title,
					tx_org_cal.datetime,
					tx_org_cal.marginal_title,
					tx_org_cal.teaser_title,
					tx_org_cal.subtitle,
					tx_org_cal.marginal_subtitle,
					tx_org_cal.teaser_subtitle,
					tx_org_cal.type,
          tx_org_caltype.title,
					tx_org_event.title,
					tx_org_event.teaser_title,
					tx_org_event.subtitle,
					tx_org_event.teaser_subtitle,
        )
				where = COA
				where {
					10 = TEXT
					10 {
						value = 1
					}
					30 = TEXT
					30 {
						value = tx_org_cal.datetime
						noTrimWrap = | AND | > UNIX_TIMESTAMP()|
					}
				}
        orderBy   = tx_org_cal.datetime
      }
    }
  }
}