plugin.tx_browser_pi1 {
  views {
    list {
      298 {
          // empty statement for proper commands only
        tx_org_cal {
        }
          // crdate (for radialsearch), deleted (for radialsearch), title
        tx_org_cal =
        tx_org_cal {
					fe_cruser_id < plugin.tx_browser_pi6.interface.record
          datetime = TEXT
          datetime {
						field = tx_org_cal.datetime
						strftime  = %d.%m.%y
					}
          datetimeend = COA
          datetimeend {
						10 = TEXT
						10 {
							if {
								value {
									field = tx_org_cal.datetimeend
								}
								isGreaterThan = 1
							}
							value = 
						}
						20 = TEXT
						20 {
							if {
								value {
									field = tx_org_cal.datetimeend
								}
								isGreaterThan = 1
								negate = 1
							}
							field = tx_org_cal.datetimeend
							strftime  = %d.%m.%y
						}
					}
						// tx_org_cal.location. Override by tx_org_location.title, ...
          location = TEXT
          location {
						field = tx_org_cal.location
						override {
							cObject = COA
							cObject {
								10 = TEXT
								10 {
									field = tx_org_location.title
								}
								20 = TEXT
								20 {
									field = tx_org_location.mail_address
									required = 1
									noTrimWrap = |, ||
								}
								30 = TEXT
								30 {
									field = tx_org_location.mail_postcode
									required = 1
									noTrimWrap = |, ||
								}
								40 = TEXT
								40 {
									field = tx_org_location.mail_city
									required = 1
									noTrimWrap = | ||
								}
								50 = TEXT
								50 {
									field = tx_org_location.mail_country
									required = 1
									noTrimWrap = |, ||
								}
							}
						}
					}
						// tx_org_cal.organiser. Override by tx_org_headquarters.title
          organiser = TEXT
          organiser {
						field = tx_org_cal.organiser
						override {
							field = tx_org_headquarters.title
						}
					}
						// empty value. Override by tx_org_caltype.title
          tx_org_caltype = TEXT
          tx_org_caltype {
						value = 
						override {
							field = tx_org_caltype.title
						}
					}
						// empty value. Override by tx_org_staff.title
          tx_org_staff = TEXT
          tx_org_staff {
						value =
						override {
							field = tx_org_staff.title
						}
					}
        }
      }
    }
  }
}