plugin.tx_org {
	templates {
		load_register {
				// empty statement for proper comments only
			tx_org_cal {
			}
				// tx_org_event
			tx_org_cal = 
			tx_org_cal {
					// if tx_org_cal.type == 'tx_org_event' LOAD_REGISTER: tx_org_event__page, tx_org_event__title, tx_org_event__type, tx_org_event__uid, tx_org_event__url
				tx_org_event = COA
				tx_org_event {
						// if tx_org_cal.type == 'tx_org_event'
					if = 
					if {
						value = tx_org_event
							// field = tx_org_cal.type
						equals =
						equals {
							field = tx_org_cal.type
						}
					}
						// table = tx_org_event, renderObj.10 LOAD_REGISTER: tx_org_event__page, tx_org_event__title, tx_org_event__type, tx_org_event__uid, tx_org_event__url
					10 = CONTENT
					10 {
						table = tx_org_event
						select {
							pidInList = {$plugin.org.sysfolder.event}
							recursive = {$plugin.org.sysfolder.event.recursive}
							//selectFields = tx_org_event.title
							join = tx_org_mm_all ON tx_org_mm_all.uid_local = tx_org_event.uid
							where = 
							where {
								stdWrap {
									cObject = COA
									cObject {
										10 = TEXT
										10 {
											value = 1
										}
										20 = TEXT
										20 {
											field = tx_org_cal.uid
											noTrimWrap = | AND tx_org_mm_all.uid_foreign = | AND tx_org_mm_all.table_foreign = 'tx_org_cal' AND tx_org_mm_all.table_local = 'tx_org_event'|
										}
									}
								}
							}
							max = 1
						}
							// 10 = LOAD_REGISTER: tx_org_event__page, tx_org_event__title, tx_org_event__type, tx_org_event__url
						renderObj = COA
						renderObj {
							10 = LOAD_REGISTER
							10 {
								tx_org_event__bodytext {
									cObject = TEXT
									cObject {
										field = bodytext
									}
								}
								tx_org_event__image {
									cObject = TEXT
									cObject {
										field = image
									}
								}
								tx_org_event__imagecols {
									cObject = TEXT
									cObject {
										field = imagecols
									}
								}
								tx_org_event__imageheight {
									cObject = TEXT
									cObject {
										field = imageheight
									}
								}
								tx_org_event__imageorient {
									cObject = TEXT
									cObject {
										field = imageorient
									}
								}
								tx_org_event__imagewidth {
									cObject = TEXT
									cObject {
										field = imagewidth
									}
								}
								tx_org_event__image_1stforlistonly {
									cObject = TEXT
									cObject {
										field = image_1stforlistonly
									}
								}
								tx_org_event__image_zoom {
									cObject = TEXT
									cObject {
										field = image_zoom
									}
								}
								tx_org_event__length {
									cObject = TEXT
									cObject {
										field = length
									}
								}
								tx_org_event__page {
									cObject = TEXT
									cObject {
										field = page
									}
								}
								tx_org_event__subtitle {
									cObject = TEXT
									cObject {
										field = subtitle
									}
								}
								tx_org_event__teaser_short {
									cObject = TEXT
									cObject {
										field = teaser_short
									}
								}
								tx_org_event__teaser_short_for_singleview {
									cObject = TEXT
									cObject {
										field = teaser_short_for_singleview
									}
								}
								tx_org_event__title {
									cObject = TEXT
									cObject {
										field = title
									}
								}
								tx_org_event__type {
									cObject = TEXT
									cObject {
										field = type
									}
								}
								tx_org_event__uid {
									cObject = TEXT
									cObject {
										field = uid
									}
								}
								tx_org_event__url {
									cObject = TEXT
									cObject {
										field = url
									}
								}
							}
						}
					}
						// For development only
					XXX20 = TEXT
					XXX20 {
						data = register:tx_org_event__title
						noTrimWrap = |<h1>E: |</h1>| 
					}
				}
			}
		}
	}
}