plugin.tx_seodynamictag {

  canonical {
    enabled = 1
    single {
      additionalParams = &tx_browser_pi1[headquartersUid]={GP:tx_browser_pi1|headquartersUid}
    }
  }

  condition {
    single {
      begin = globalVar = GP:tx_browser_pi1|headquartersUid > 0] && [globalVar = TSFE:id = xxx
    }
  }

  database {
		case {
			title {
				appendix = default
			}
		}
    field {
      description = description // seo_description // marginal_short // teaser_short // short // bodytext // title
      keywords = seo_keywords
      keywords {
        cover       = marginal_title // teaser_title // title
      }
      short         = bodytext
      title         = title
      title {
        appendix    = mail_city // mail_country // mail_postcode
      }
    }
    gp    = tx_browser_pi1|headquartersUid
    table = tx_org_headquarters
		var {
			1 = tx_browser_pi1[headquartersUid]
		}
  }

}