plugin.tx_browser_pi1 {
	areas {
		case = year
		year {
			start_period = -10 year
			times = 11
		}
	}
  jQuery {
    plugin {
      jstree {
				enable				= 1
        tablefield_01 = tx_org_newscat.title
        tablefield_02 = tx_org_newsgroup.title
      }
    }
  }
  navigation {
    showUid = newsUid
  }

  templates {
    listview {
      header {
        0 {
          crop  = 40|...|1
          field = tx_org_news.teaser_title // tx_org_news.title
          title = tx_org_news.title
        }
        1 {
          crop  = 30|...|1
          field = tx_org_news.subtitle // tx_org_news.teaser_subtitle
          title = tx_org_news.title
          tag   = h3
        }
      }
      image {
        0 {
          default				= EXT:org/Resources/Public/Images/Icons/Default/svg/tx_org_news.svg
          // internal #t0774
          field					= image
          file					= tx_org_news.image
					height				= imageheight
          heightDefault = 180c
          #listNum   =
          path					= uploads/tx_org/
          seo						= tx_org_news.imageseo
          // internal #t0774
          table					= tx_org_news
					width 				= imagewidth
          widthDefault	= 220
        }
      }
      subtitle {
        0 {
          crop  = 60|...|1
          field = tx_org_news.teaser_subtitle // tx_org_news.subtitle
        }
      }
      text {
        0 {
          crop = 240|...|1
          field = tx_org_news.teaser_short // tx_org_news.bodytext
          tag  = p
        }
      }
      url {
        0 {
          key       = tx_org_news.type
          page      = tx_org_news.page
          record    = tx_org_news.uid
          showUid   = newsUid
          singlePid =
          url       = tx_org_news.url
        }
      }
    }
    singleview {
      image {
        0 {
          caption           = tx_org_news.imagecaption
          // internal #t0774
          field             = image
          firstForListOnly  = tx_org_news.image_1stforlistonly
          file              = tx_org_news.image
          height            = tx_org_news.imageheight
          imagecols         = tx_org_news.imagecols
          imageorient       = tx_org_news.imageorient
          path              = uploads/tx_org/
          seo               = tx_org_news.imageseo
          // internal #t0774
          table             = tx_org_news
          width             = tx_org_news.imagewidth
					widthDefault			= 1000
          zoom              = tx_org_news.image_zoom
        }
      }
    }
  }
}

[globalVar = GP:type = 67426]
  plugin.tx_browser_pi1 {
    templates {
      listview {
        image {
          0 {
            heightDefault    = 58c
            widthDefault     = 58
          }
        }
      }
    }
  }
[global]