<?php

/* * ************************************************
 * 
 * See:
 * https://docs.typo3.org/typo3cms/extensions/org/
 * Docs » Integrators » Real URL
 * 
 * ************************************************* */

// Use next line for check, if include_once() from below is successful
//die('died in' . __FILE__ );

/* * ************************************************
 * 
 * Default real URL configuration for postVarSets
 * 
 * ************************************************* */

$realurlForOrganiserDe = array(
		// tx_org_cal
		'termin' => array
				(
				array
						(
						'GETvar' => 'tx_browser_pi1[calendarUid]',
						'lookUpTable' => array
								(
								'table' => 'tx_org_cal',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array
										(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						)
				),
		),
		// tx_org_cal: datetime
		'zeitraum' => array
				(
				array
						(
						'GETvar' => 'tx_browser_pi1[tx_org_cal.datetime]',
				),
		),
		// tx_org_caltype.title
		'thema' => array
				(
				array
						(
						'GETvar' => 'tx_browser_pi1[tx_org_caltype.title]',
						'lookUpTable' => array
								(
								'table' => 'tx_org_caltype',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array
										(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						)
				),
		),
		// tx_org_event
		'veranstaltung' => array
				(
				array
						(
						'GETvar' => 'tx_browser_pi1[eventUid]',
						'lookUpTable' => array
								(
								'table' => 'tx_org_event',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array
										(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						)
				),
		),
		// tx_org_headquarters
		'veranstalter' => array
				(
				array
						(
						'GETvar' => 'tx_browser_pi1[headquartersUid]',
						'lookUpTable' => array
								(
								'table' => 'tx_org_headquarters',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array
										(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						)
				),
		),
		// tx_org_job
		'job' => array
				(
				array
						(
						'GETvar' => 'tx_browser_pi1[jobUid]',
						'lookUpTable' => array
								(
								'table' => 'tx_org_job',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array
										(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						)
				),
		),
		// tx_org_location
		'ort' => array
				(
				array
						(
						'GETvar' => 'tx_browser_pi1[locationUid]',
						'lookUpTable' => array
								(
								'table' => 'tx_org_location',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array
										(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						)
				),
		),
		// news: tx_org_news
		'nachricht' => array
				(
				array
						(
						'GETvar' => 'tx_browser_pi1[newsUid]',
						'lookUpTable' => array
								(
								'table' => 'tx_org_news',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array
										(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						)
				),
		),
		// tx_org_repertoire
		'stueck' => array
				(
				array
						(
						'GETvar' => 'tx_browser_pi1[repertoireUid]',
						'lookUpTable' => array
								(
								'table' => 'tx_org_repertoire',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array
										(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						)
				),
		),
		// tx_org_service
		'dienstleistung' => array
				(
				array
						(
						'GETvar' => 'tx_browser_pi1[serviceUid]',
						'lookUpTable' => array
								(
								'table' => 'tx_org_service',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array
										(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						)
				),
		),
		// staff: tx_org_staff
		'person' => array
				(
				array
						(
						'GETvar' => 'tx_browser_pi1[staffUid]',
						'lookUpTable' => array
								(
								'table' => 'tx_org_staff',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array
										(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						)
				),
		),
);

if( isset( $GLOBALS['TYPO3_CONF_VARS'][ 'EXTCONF' ][ 'realurl' ][ '_DEFAULT' ][ 'postVarSets' ][ '_DEFAULT' ] ) )
{
	$GLOBALS['TYPO3_CONF_VARS'][ 'EXTCONF' ][ 'realurl' ][ '_DEFAULT' ][ 'postVarSets' ][ '_DEFAULT' ] = $GLOBALS['TYPO3_CONF_VARS'][ 'EXTCONF' ][ 'realurl' ][ '_DEFAULT' ][ 'postVarSets' ][ '_DEFAULT' ] + $realurlForOrganiserDe
	;
}
else
{
	$GLOBALS['TYPO3_CONF_VARS'][ 'EXTCONF' ][ 'realurl' ][ '_DEFAULT' ][ 'postVarSets' ] = [ '_DEFAULT' => $realurlForOrganiserDe ];
}
